<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.9
 * 
 * Theme Primary Color Schemes Rules
 * Created by CMSMasters
 * 
 */


function bambini_theme_colors_primary() {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	$custom_css = "/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.9
 * 
 * Theme Primary Color Schemes Rules
 * Created by CMSMasters
 * 
 */

";
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	" . (($scheme == 'default') ? "body," : '') . "
	" . (($scheme != 'default') ? ".cmsmasters_color_scheme_{$scheme}," : '') . "
	{$rule}input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	{$rule}textarea,
	{$rule}select,
	{$rule}option,
	{$rule}.widget ul li a,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_user_name,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_user_name a,
	{$rule}.cmsmasters_archive_type .cmsmasters_likes a,
	{$rule}.cmsmasters_archive_type .cmsmasters_comments a,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_user_name a,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_category,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_category a,
	{$rule}.post .cmsmasters_post_author a,
	{$rule}.post .cmsmasters_post_author,
	{$rule}.post .cmsmasters_likes a,
	{$rule}.post .cmsmasters_likes a::before,
	{$rule}.post .cmsmasters_comments a,
	{$rule}.post .cmsmasters_post_category a,
	{$rule}.error_cont .search_bar_wrap .search_button button:hover,
	{$rule}.search_bar_wrap .search_button button,
	{$rule}.cmsmasters_open_post .cmsmasters_post_tags a,
	{$rule}.cmsmasters_items_filter_wrap .cmsmasters_items_filter .button,
	{$rule}.share_posts .share_posts_inner a,
	{$rule}.cmsmasters_project_grid .cmsmasters_likes a,
	{$rule}.cmsmasters_project_grid .cmsmasters_comments a,
	{$rule}.cmsmasters_profile_vertical .profile_social_icons_list a,
	{$rule}.cmsmasters_project_grid .cmsmasters_project_cont_info .cmsmasters_project_category a,
	{$rule}.cmsmasters_profile_horizontal .cmsmasters_profile_category a,
	{$rule}.cmsmasters_open_profile .profile_details_item_desc a,
	{$rule}.cmsmasters_open_project .project_details_item_desc a,
	{$rule}.cmsmasters_profile_vertical .cmsmasters_profile_category a,
	{$rule}.cmsmasters_open_profile .cmsmastersLike,
	{$rule}.cmsmasters_open_profile .profile_social_icons_list a,
	{$rule}.cmsmasters_open_profile .cmsmastersLike.active:hover,
	{$rule}.cmsmasters_open_project .cmsmastersLike,
	{$rule}.cmsmasters_open_project .project_social_icons_list a,
	{$rule}.cmsmasters_open_project .cmsmastersLike.active:hover,
	{$rule}.cmsmasters_dynamic_cart > a:hover span,
	{$rule}.widget_custom_contact_info_entries > [class^=contact_widget_] a,
	{$rule}.widget_custom_contact_info_entries > [class^=contact_widget_] span,
	{$rule}.cmsmastersLike::before,
	{$rule}.cmsmastersLike:hover,
	{$rule}.cmsmastersLike,
	{$rule}.cmsmasters_comments a,
	{$rule}.cmsmasters_comments a:hover,
	{$rule}.cmsmasters_slider_project_category a,
	{$rule}.cmsmasters_slider_post_author,
	{$rule}.cmsmasters_slider_post_author a,
	{$rule}.cmsmasters_slider_post_category,
	{$rule}.cmsmasters_slider_post_category a,
	{$rule}.cmsmasters_quotes_grid .cmsmasters_quote_site a,
	{$rule}.cmsmasters_toggles .cmsmasters_toggles_filter a,
	{$rule}.cmsmasters_notice .notice_content,
	{$rule}.cmsmasters_wrap_pagination ul a,
	{$rule}.cmsmasters_dropcap.type1,
	{$rule}.cmsmasters_profile_horizontal .profile_social_icons_list a,
	{$rule}.widget_recent_entries ul a,
	{$rule}.widget_recent_entries ul li a,
	{$rule}.post_nav .cmsmasters_pag_post_info::after,
	{$rule}.post_nav .cmsmasters_pag_post_info::before{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}
	
	{$rule}input::-webkit-input-placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}

	{$rule}select::-webkit-input-placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}
	
	{$rule}input:-moz-placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}

	{$rule}textarea::-webkit-input-placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}

	{$rule}textarea::-moz-placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}

	{$rule}.post .owl-pagination .owl-page,
	{$rule}.cmsmasters_project_grid .owl-pagination .owl-page,
	{$rule}.comments_nav > span::before,
	{$rule}.post_nav > span > span {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}

	{$rule}.blog.timeline:after{
		border-color: rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_color']) . ", 0.35);
	}
	


	.cmsmasters_project_puzzle .project_outer .cmsmasters_img_rollover{
		background-color: #000000;
	}

	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}a,
	{$rule}h1 a:hover,
	{$rule}h2 a:hover,
	{$rule}h3 a:hover,
	{$rule}h4 a:hover,
	{$rule}h5 a:hover,
	{$rule}h6 a:hover,
	{$rule}.cmsmasters_icon_wrap a .cmsmasters_simple_icon,
	{$rule}.cmsmasters_wrap_more_items.cmsmasters_loading:before,
	{$rule}.cmsmasters_header_search_form button:hover, 
	{$rule}.cmsmasters_icon_box.cmsmasters_icon_top:before,
	{$rule}.cmsmasters_icon_box.cmsmasters_icon_heading_left .icon_box_heading:before,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_icon .cmsmasters_icon_list_icon:before,
	{$rule}.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner:before, 
	{$rule}.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner:before, 
	{$rule}.bypostauthor > .comment-body .alignleft:before,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > a:hover,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > a:hover,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > a:hover,
	{$rule}.cmsmasters_attach_img .cmsmasters_attach_img_edit a, 
	{$rule}.cmsmasters_attach_img .cmsmasters_attach_img_meta a,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_list_item a ,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_list_item a:hover,
	{$rule}.widget_custom_contact_info_entries .contact_widget_address::before ,
	{$rule}.widget_custom_contact_info_entries > span::before,
	{$rule}.widget_custom_twitter_entries .tweet_time:before,
	{$rule}.widget_rss .widgettitle::before,
	{$rule}.cmsmasters_pricing_table .cmsmasters_price_wrap .cmsmasters_period,
	{$rule}.cmsmasters_quotes_slider .cmsmasters_quote_subtitle,
	{$rule}.cmsmasters_quotes_grid .cmsmasters_quote_subtitle,
	{$rule}.cmsmasters_twitter_wrap .twr_icon,
	{$rule}.cmsmasters_icon_list_items .cmsmasters_icon_list_item .cmsmasters_icon_list_icon::before ,
	{$rule}blockquote::before,
	{$rule}dt,
	{$rule}#page .widget_rss ul li a:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	" . (($scheme == 'default') ? "#slide_top," : '') . "
	" . (($scheme == 'default') ? "mark," : '') . "
	" . (($scheme != 'default') ? ".cmsmasters_color_scheme_{$scheme} mark," : '') . "
	{$rule}.cmsmasters_dropcap.type2,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_bg .cmsmasters_icon_list_item .cmsmasters_icon_list_icon,
	{$rule}.cmsmasters_icon_list_items .cmsmasters_icon_list_item:hover .cmsmasters_icon_list_icon,
	{$rule}.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner,
	{$rule}.cmsmasters_button,
	{$rule}.button, 
	{$rule}input[type=submit], 
	{$rule}input[type=button], 
	{$rule}button,
	{$rule}.cmsmasters_pricing_table .cmsmasters_pricing_item_inner::before,
	{$rule}.cmsmasters_single_slider .cmsmasters_owl_slider .owl-buttons div {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_bg .cmsmasters_icon_list_icon:after,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_border .cmsmasters_icon_list_item .cmsmasters_icon_list_icon:after,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_icon .cmsmasters_icon_list_icon:after{
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}#page .cmsmasters_tabs:not(.tabs_pos_left):not(.tabs_pos_right) .cmsmasters_tabs_wrap{
		" . cmsmasters_color_css('border-bottom-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}#page .cmsmasters_tabs.tabs_pos_left .cmsmasters_tabs_wrap{
		" . cmsmasters_color_css('border-right-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}#page .cmsmasters_tabs.tabs_pos_right .cmsmasters_tabs_wrap{
		" . cmsmasters_color_css('border-left-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}.cmsmasters_post_default.sticky .cmsmasters_post_cont::before,
	{$rule}.cmsmasters_open_post.sticky .cmsmasters_post_cont::before{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */

	
	/* Start Highlight Color */
	{$rule}a:hover,
	{$rule}a.cmsmasters_cat_color:hover,
	{$rule}.cmsmasters_header_search_form button, 
	{$rule}.cmsmasters_icon_wrap a:hover .cmsmasters_simple_icon,
	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_close:hover,
	{$rule}.cmsmasters_attach_img .cmsmasters_attach_img_edit a:hover, 
	{$rule}.cmsmasters_attach_img .cmsmasters_attach_img_meta a:hover,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_user_name a:hover,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_user_name a:hover,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_category a:hover,
	{$rule}.post .cmsmasters_post_author a:hover,
	{$rule}.post .cmsmasters_post_category a:hover,
	{$rule}.post .cmsmasters_likes a:not([onclick='return false;']):hover::before,
	{$rule}.post .cmsmasters_likes a.active::before,
	{$rule}.post .cmsmasters_comments a.active::before,
	{$rule}.post .cmsmasters_comments a:not([onclick='return false;']):hover::before,
	{$rule}.cmsmasters_post_masonry .cmsmasters_post_title a:hover,
	{$rule}.cmsmasters_post_title a:hover,
	{$rule}.error_cont .search_bar_wrap .search_button button,
	{$rule}.search_bar_wrap .search_button button:hover,
	{$rule}.cmsmasters_open_post .cmsmasters_post_tags a:hover,
	{$rule}.comments_nav a:hover,
	{$rule}.post_nav > span > a:hover,
	{$rule}.about_author .about_author_cont a:hover,
	{$rule}.cmsmasters_comment_item_interface a:hover,
	{$rule}.share_posts .share_posts_inner a:hover,
	{$rule}.cmsmasters_items_filter_wrap .cmsmasters_items_filter .button:hover,
	{$rule}.cmsmasters_items_filter_wrap .cmsmasters_items_filter li.current .button ,
	{$rule}.cmsmasters_project_grid .cmsmasters_project_header .cmsmasters_project_title a:hover,
	{$rule}.cmsmasters_project_grid .cmsmasters_project_cont_info .cmsmasters_project_category a:hover,
	{$rule}.cmsmasters_project_grid .cmsmasters_likes a:hover::before,
	{$rule}.cmsmasters_project_grid .cmsmasters_comments a:hover::before,
	{$rule}.cmsmasters_project_grid .cmsmasters_likes a.active::before,
	{$rule}.cmsmasters_project_grid .cmsmasters_comments a.active::before,
	{$rule}.widget ul li a:hover, 
	{$rule}.cmsmasters_project_puzzle .project_inner .cmsmasters_comments a.active::before, 
	{$rule}.cmsmasters_project_puzzle .project_inner .cmsmasters_likes a.active::before, 
	{$rule}.cmsmasters_project_puzzle .project_inner a:hover,
	{$rule}.cmsmasters_profile_vertical .cmsmasters_profile_category a:hover,
	{$rule}.cmsmasters_profile_vertical .profile_social_icons_list a:hover,
	{$rule}.cmsmasters_profile .cmsmasters_profile_header .cmsmasters_profile_title a:hover,
	{$rule}.cmsmasters_profile_horizontal .profile_social_icons_list a:hover,
	{$rule}.cmsmasters_open_profile .profile_social_icons_list a:hover,
	{$rule}.cmsmasters_open_profile .profile_details_item_desc a:hover,
	{$rule}.cmsmasters_open_project .project_social_icons_list a:hover,
	{$rule}.cmsmasters_open_project .project_details_item_desc a:hover,
	{$rule}.cmsmasters_open_profile .cmsmastersLike.active::before,
	{$rule}.cmsmasters_open_profile .cmsmastersLike:not(.active):hover,
	{$rule}.cmsmasters_open_project .cmsmastersLike.active::before,
	{$rule}.cmsmasters_open_project .cmsmastersLike:not(.active):hover,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont a:hover,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tab li a[rel=bookmark]:hover,
	{$rule}#wp-calendar a:hover,
	{$rule}.cmsmasters_archive_type .cmsmasters_likes a.active::before,
	{$rule}.cmsmasters_archive_type .cmsmasters_comments a:hover,
	{$rule}.cmsmasters_dynamic_cart > a::before,
	{$rule}.widget_custom_contact_info_entries > [class^=contact_widget_] a:hover ,
	{$rule}.cmsmasters_comments a:hover::before,
	{$rule}.cmsmastersLike.active::before,
	{$rule}.cmsmastersLike:hover::before,
	{$rule}.cmsmasters_slider_project .cmsmasters_slider_project_title a:hover,
	{$rule}.cmsmasters_slider_project_category a:hover,
	{$rule}.widget_custom_latest_projects_entries .widgettitle + .widget_custom_projects_entries_slides .owl-buttons div:hover,
	{$rule}.cmsmasters_comment_item .cmsmasters_comment_item_title a:hover,
	{$rule}.cmsmasters_single_slider .cmsmasters_single_slider_item_title a:hover,
	{$rule}.cmsmasters_counter.counter_has_icon .cmsmasters_counter_inner::before,
	{$rule}.cmsmasters_counter .cmsmasters_counter_title,
	{$rule}.cmsmasters_counter .cmsmasters_counter_counter_wrap, 
	{$rule}.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner:before,
	{$rule}.cmsmasters_slider_post_author a:hover,
	{$rule}.cmsmasters_slider_post_category a:hover,
	{$rule}.cmsmasters_slider_post .cmsmasters_slider_post_title a:hover,
	{$rule}.cmsmasters_pricing_item.pricing_best .cmsmasters_price_wrap *,
	{$rule}.cmsmasters_quotes_grid .cmsmasters_quote_site a:hover,
	{$rule}.cmsmasters_toggles .cmsmasters_toggles_filter a:hover,
	{$rule}.cmsmasters_toggles .cmsmasters_toggles_filter a.current_filter,
	{$rule}.cmsmasters_toggles .current_toggle .cmsmasters_toggle_title a,
	{$rule}.cmsmasters_toggles .cmsmasters_toggle_title a:hover,
	{$rule}.cmsmasters_toggles .cmsmasters_toggle_wrap.current_toggle .cmsmasters_toggle_plus_vert::before,
	{$rule}.cmsmasters_toggles .cmsmasters_toggle_wrap .cmsmasters_toggle_plus_vert:hover::before,
	{$rule}.cmsmasters_wrap_pagination ul a:hover,
	{$rule}.cmsmasters_dropcap.type1::first-letter,
	{$rule}form .color_2,
	{$rule}.cmsmasters_archive_type .cmsmasters_archive_item_title a:hover,
	{$rule}.widget_recent_entries a:hover,
	{$rule}.widget_rss ul li a,
	{$rule}.cmsmasters_icon_list_item:before,
	{$rule}.subpage_nav > span {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}
	
	" . (($scheme == 'default') ? "#slide_top:hover," : '') . "
	{$rule}.cmsmasters-form-builder .check_parent input[type=radio] + label:after, 
	{$rule}.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type=checkbox] + span.wpcf7-list-item-label:after, 
	{$rule}.cmsmasters-form-builder .check_parent input[type=checkbox] + label:after, 
	{$rule}.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type=radio] + span.wpcf7-list-item-label:after,
	{$rule}.cmsmasters_button:hover,
	{$rule}.button:hover, 
	{$rule}input[type=submit]:hover, 
	{$rule}input[type=button]:hover, 
	{$rule}button:hover,
	{$rule}.post .owl-pagination .owl-page.active,
	{$rule}.post .owl-pagination .owl-page:hover,
	{$rule}.cmsmasters_content_slider_wrap .owl-pagination .owl-page.active,
	{$rule}.cmsmasters_project_grid .owl-pagination .owl-page:hover,
	{$rule}.cmsmasters_open_project .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_content_slider_wrap .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_open_post .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_single_slider .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_post_timeline .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_post_default .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_clients_slider_wrap .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.comments_nav > span:hover::before,
	{$rule}.post_nav > span > a:hover +  span,
	{$rule}.owl-pagination .owl-page:hover,
	{$rule}.owl-pagination .owl-page.active,
	{$rule}.cmsmasters_pricing_item.pricing_best .cmsmasters_pricing_item_inner::before,
	{$rule}.cmsmasters_notice .notice_close:hover,
	{$rule}ul > li:before{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}
 
	{$rule}.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner:before,
	{$rule}.cmsmasters_notice .notice_close:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	" . (($scheme == 'default') ? ".headline_outer," : '') . "
	" . (($scheme == 'default') ? ".headline_outer a:hover," : '') . "
	{$rule}h1,
	{$rule}h2,
	{$rule}h3,
	{$rule}h4,
	{$rule}h5,
	{$rule}h6,
	{$rule}h1 a,
	{$rule}h2 a,
	{$rule}h3 a,
	{$rule}h4 a,
	{$rule}h5 a,
	{$rule}h6 a,
	{$rule}blockquote footer,
	{$rule}table caption,
	{$rule}.img_placeholder_small, 
	{$rule}blockquote p, 
	{$rule}.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner,
	{$rule}.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat_title,
	{$rule}.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap,
	{$rule}.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat_title, 
	{$rule}.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_title_counter_wrap, 
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > a,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > a,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > ul li a:before,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > a,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > ul li a:before,
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap_archive > li a:before,
	{$rule}.post_nav > span > a,
	{$rule}.cmsmasters_profile_horizontal .profile_social_icons_list a:hover,
	{$rule}.cmsmasters_open_profile .profile_details_item .profile_details_item_title,
	{$rule}.about_author .about_author_cont a,
	{$rule}.cmsmasters_open_project .project_details_item_title,
	{$rule}.cmsmasters_open_project .project_features_item_title,
	{$rule}.widget_recent_comments li.recentcomments > a,
	{$rule}.cmsmasters_open_profile .profile_features_item_title,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont a,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tab li small,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tab li a[rel=bookmark],
	{$rule}#wp-calendar thead th,
	{$rule}#wp-calendar a,
	{$rule}.cmsmasters_dynamic_cart > a:hover::before,
	{$rule}.widget_nav_menu ul li a,
	{$rule}.widget_pages ul li a,
	{$rule}.widget_tag_cloud .tagcloud a:hover,
	{$rule}.widget_custom_twitter_entries .tweet_time,
	{$rule}.widget_tag_cloud .tagcloud a,
	{$rule}.comment-form-rating label,
	{$rule}.cmsmasters_pricing_table .cmsmasters_price_wrap *,
	{$rule}.cmsmasters_quotes_grid .cmsmasters_quote_img_info_wrap .cmsmasters_quote_mark,
	{$rule}.cmsmasters_toggles .cmsmasters_toggle_title a,
	{$rule}.cmsmasters_toggles .cmsmasters_toggle_plus_vert::before,
	{$rule}.cmsmasters_notice .notice_close,
	{$rule}.cmsmasters-form-builder label,
	{$rule}.cmsmasters_contact_form label,
	{$rule}.comments_nav > span a{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}

	{$rule}.cmsmasters_clients_slider_wrap .cmsmasters_owl_slider .owl-buttons div{
		color: rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . ", 0.5);
	}
	
	{$rule}form .formError .formErrorContent,
	{$rule}.datepicker table tr td span.active.active
	{$rule}.datepicker table tr td span.active:hover, 
	{$rule}.datepicker table tr td span.active:hover.active,
	{$rule}.datepicker table tr td span.active,
	{$rule}.datepicker table tr td span.active:hover,
	{$rule}.datepicker table tr td.active.active, 
	{$rule}.datepicker table tr td.active.disabled, 
	{$rule}.datepicker table tr td.active.disabled.active, 
	{$rule}.datepicker table tr td.active.disabled.disabled {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading'] . " !important") . "
	}
	
	{$rule}.datepicker table tr td span.active,
	{$rule}.datepicker table tr td.active {
		background-image: none !important;
	}

	{$rule}.cmsmasters_header_search_form {
		background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . ", 0.96);
	}

	{$rule}input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]):focus,
	{$rule}textarea:focus,
	{$rule}.widget_nav_menu ul li a:hover,
	{$rule}.widget_pages ul li a:hover{
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}mark,
	{$rule}form .formError .formErrorContent,
	{$rule}.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner,
	{$rule}.cmsmasters_button,
	{$rule}.button, input[type=submit], input[type=button], button,
	{$rule}.cmsmasters_button:hover,
	{$rule}.button:hover, input[type=submit]:hover, input[type=button]:hover, button:hover,
	{$rule}.headline_text *,
	{$rule}.headline_text::before,
	{$rule}.cmsmasters_post_default.sticky .cmsmasters_post_cont::before,
	{$rule}.cmsmasters_open_post.sticky .cmsmasters_post_cont::before,
	{$rule}.comments_nav > span::before,
	{$rule}.post_nav > span > span, 
	{$rule}.cmsmasters_project_puzzle .project_inner *,
	{$rule}.cmsmasters_notice .notice_close:hover,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_icon .cmsmasters_icon_list_icon_wrap, 
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_bg .cmsmasters_icon_list_item .cmsmasters_icon_list_icon::before,
	{$rule}.cmsmasters_icon_list_items .cmsmasters_icon_list_item:hover .cmsmasters_icon_list_icon::before,
	{$rule}.cmsmasters_breadcrumbs .cmsmasters_breadcrumbs_inner a,
	{$rule}.cmsmasters_single_slider .cmsmasters_owl_slider .owl-buttons div{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.cmsmasters_breadcrumbs .cmsmasters_breadcrumbs_inner *,
	{$rule}.cmsmasters_breadcrumbs .cmsmasters_breadcrumbs_inner a:hover{
		color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . ", 0.81);
	}

	@media only screen and (min-width: 768px) {
		{$rule}.cmsmasters_tabs:not(.tabs_pos_left):not(.tabs_pos_right) .cmsmasters_tabs_list_item.current_tab{
			" . cmsmasters_color_css('border-bottom-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		}

		{$rule}.cmsmasters_tabs.tabs_pos_right .cmsmasters_tabs_list_item.current_tab{
			" . cmsmasters_color_css('border-left-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		}

		{$rule}.cmsmasters_tabs.tabs_pos_left .cmsmasters_tabs_list_item.current_tab{
			" . cmsmasters_color_css('border-right-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		}
	}

	{$rule}.cmsmasters_post_timeline .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_open_post .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_open_project .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_content_slider_wrap .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_post_default .cmsmasters_owl_slider .owl-buttons div{
			color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . ", 0.5);
	}

	{$rule}.cmsmasters_single_slider .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_open_post .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_post_timeline .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_open_project .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_content_slider_wrap .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_clients_slider_wrap .cmsmasters_owl_slider .owl-buttons div:hover,
	{$rule}.cmsmasters_post_default .cmsmasters_owl_slider .owl-buttons div:hover{
			color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . ", 1);
	}
	
	" . (($scheme == 'default') ? "body," : '') . "
	" . (($scheme != 'default') ? ".cmsmasters_color_scheme_{$scheme}," : '') . "
	" . (($scheme == 'default') ? ".middle_inner," : '') . "
	" . (($scheme == 'default') ? ".headline_outer," : '') . "
	{$rule}input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	{$rule}textarea, 
	{$rule}select, 
	{$rule}option,
	{$rule}.cmsmasters_post_timeline .cmsmasters_post_info,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_list_item:hover a,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_list_item.current_tab a,
	{$rule}#wp-calendar tfoot td a::before,
	{$rule}.search_bar_wrap .search_button button,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_wrap,
	{$rule}.cmsmasters_quotes_grid .cmsmasters_quote,
	{$rule}.cmsmasters_notice .notice_close,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_color_type_icon .cmsmasters_icon_list_icon{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.cmsmasters_clients_slider_wrap .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_post_default .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_open_post .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_open_project .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_content_slider_wrap .cmsmasters_owl_slider .owl-buttons div,
	{$rule}.cmsmasters_post_timeline .cmsmasters_owl_slider .owl-buttons div{
			background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . ", 0.3);
	}

	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_close,
	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field,
	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]) {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field input::placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field input::-webkit-input-placeholder {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field input::-moz-placeholder{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		opacity: 1;
	}

	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field input:-ms-input-placeholder{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.cmsmasters_header_search_form .cmsmasters_header_search_form_field input:-moz-placeholder{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		opacity: 1;
	}
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */
	" . (($scheme == 'default') ? "#slide_top," : '') . "
	{$rule}.cmsmasters_dropcap.type2 {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}
	
	{$rule}.img_placeholder_small, 
	{$rule}.cmsmasters_icon_box.cmsmasters_icon_box_top,
	{$rule}.cmsmasters_icon_box.cmsmasters_icon_box_left, 
	{$rule}.gallery-item .gallery-icon,
	{$rule}.gallery-item .gallery-caption,
	{$rule}.cmsmasters_img.with_caption, 
	{$rule}.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type=checkbox] + span.wpcf7-list-item-label:before,
	{$rule}.cmsmasters_post_default .cmsmasters_owl_slider,
	{$rule}.cmsmasters_open_post .cmsmasters_owl_slider,
	{$rule}.cmsmasters_open_project .cmsmasters_owl_slider,
	{$rule}.cmsmasters_content_slider_wrap .cmsmasters_owl_slider,
	{$rule}.cmsmasters_post_timeline .cmsmasters_owl_slider,
	{$rule}.cmsmasters_open_profile .profile_sidebar_wrap,
	{$rule}.cmsmasters_open_project .project_sidebar_wrap,
	{$rule}.cmsmasters_profile .profile_outer,
	{$rule}.widget_tag_cloud .tagcloud a,
	{$rule}.cmsmasters_pricing_item.pricing_best .cmsmasters_pricing_item_inner,
	{$rule}.cmsmasters_post_masonry .cmsmasters_owl_slider .owl-wrapper-outer {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}


	{$rule}.widget_tag_cloud .tagcloud a:hover {
		background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . ", 0.0);
	}

	{$rule}.cmsmasters_tabs .cmsmasters_tabs_list_item a{
		background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . ", 0.7);
	}
	
	@media (min-width: 768px){
		{$rule}.cmsmasters_profile_horizontal .cmsmasters_img_wrap + .profile_social_icons {
			background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . ", 0.78);
		}
	}
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li:before,
	{$rule}.owl-pagination .owl-page {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	
	" . (($scheme == 'default') ? ".headline_outer," : '') . "
	{$rule}.cmsmasters_attach_img .cmsmasters_attach_img_info, 
	{$rule}input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	{$rule}textarea,
	{$rule}option,
	{$rule}select,
	{$rule}hr,
	{$rule}.cmsmasters_divider,
	{$rule}.cmsmasters_widget_divider,
	{$rule}.cmsmasters_img.with_caption,
	{$rule}.cmsmasters_icon_wrap .cmsmasters_simple_icon, 
	{$rule}.cmsmasters_icon_box.cmsmasters_icon_box_top,
	{$rule}.cmsmasters_icon_box.cmsmasters_icon_box_left,
	{$rule}.cmsmasters_icon_list_items.cmsmasters_icon_list_type_block .cmsmasters_icon_list_item, 
	{$rule}.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type=checkbox] + span.wpcf7-list-item-label:before, 
	{$rule}.cmsmasters-form-builder .check_parent input[type=checkbox] + label:before, 
	{$rule}.wpcf7 form.wpcf7-form span.wpcf7-list-item input[type=radio] + span.wpcf7-list-item-label:before, 
	{$rule}.cmsmasters-form-builder .check_parent input[type=radio] + label:before,
	{$rule}.post_nav, 
	{$rule}.commentlist, 
	{$rule}.cmsmasters_comment_item,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_wrap,
	{$rule}.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_list_item,
	{$rule}.widget_nav_menu ul li a,
	{$rule}.widget_pages ul li a,
	{$rule}.widget_tag_cloud .tagcloud a,
	{$rule}.commentlist li,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_list li,
	{$rule}.cmsmasters_tabs .cmsmasters_tabs_wrap,
	{$rule}#page .widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_wrap,
	{$rule}.cmsmasters_pricing_table .cmsmasters_pricing_item_inner,
	{$rule}.cmsmasters_quotes_grid .cmsmasters_quote_inner,
	{$rule}.cmsmasters_toggles .cmsmasters_toggle_title a,
	{$rule}.cmsmasters_notice,
	{$rule}.cmsmasters_notice .notice_close,
	{$rule}#page #middle .widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_wrap,
	{$rule}table,
	{$rule}table tr,
	{$rule}table th,
	{$rule}table td,
	{$rule}.cmsmasters_open_profile .profile_details_item, 
	{$rule}.cmsmasters_open_profile .profile_features_item{
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}


	/* Finish Borders Color */
	
	
	/* Start Custom Rules */
	{$rule}::selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . ";
	}
	
	{$rule}::-moz-selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	";
	
	
	if ($scheme != 'default') {
		$custom_css .= "
		.cmsmasters_color_scheme_{$scheme}.cmsmasters_row_top_zigzag:before, 
		.cmsmasters_color_scheme_{$scheme}.cmsmasters_row_bot_zigzag:after {
			background-image: -webkit-linear-gradient(135deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%), 
					-webkit-linear-gradient(45deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%);
			background-image: -moz-linear-gradient(135deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%), 
					-moz-linear-gradient(45deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%);
			background-image: -ms-linear-gradient(135deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%), 
					-ms-linear-gradient(45deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%);
			background-image: -o-linear-gradient(135deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%), 
					-o-linear-gradient(45deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%);
			background-image: linear-gradient(315deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%), 
					linear-gradient(45deg, " . $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " 25%, transparent 25%);
		}
		";
	}
	
	
	$custom_css .= "
	/* Finish Custom Rules */

/***************** Finish {$title} Color Scheme Rules ******************/


/***************** Start {$title} Button Color Scheme Rules ******************/
	
	{$rule}.cmsmasters_button.cmsmasters_but_bg_hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_bg_hover:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	
	{$rule}.cmsmasters_button.cmsmasters_but_bd_underline {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_bd_underline:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_left, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_right, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_top, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_bottom, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_vert, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_hor, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_diag {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_left:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_right:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_top:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_bottom:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_vert:hover, 
	{$rule}.cmsmasters_button.cm.sms_but_bg_expand_hor:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_diag:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_left:after, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_right:after, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_top:after, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_slide_bottom:after, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_vert:after, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_hor:after, 
	{$rule}.cmsmasters_button.cmsmasters_but_bg_expand_diag:after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	
	{$rule}.cmsmasters_button.cmsmasters_but_shadow {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_shadow:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_dark_bg, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_light_bg, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_divider {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_dark_bg:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_light_bg:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_divider:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_divider:after {
		" . cmsmasters_color_css('border-right-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_inverse {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_inverse:before {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_inverse:after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_inverse:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_inverse:hover:before {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_inverse:hover:after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_slide_left, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_slide_right {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_slide_left:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_slide_right:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_left, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_right, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_top, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_bottom {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_left:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_right:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_top:hover, 
	{$rule}.cmsmasters_button.cmsmasters_but_icon_hover_slide_bottom:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

/***************** Finish {$title} Button Color Scheme Rules ******************/


";
	}
	
	
	return apply_filters('bambini_theme_colors_primary_filter', $custom_css);
}

