<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.9
 * 
 * Theme Secondary Color Schemes Rules
 * Created by CMSMasters
 * 
 */


function bambini_theme_colors_secondary() {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	$custom_css = "/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.9
 * 
 * Theme Secondary Color Schemes Rules
 * Created by CMSMasters
 * 
 */


/***************** Start Header Middle Color Scheme Rules ******************/

	/* Start Header Middle Content Color */
	.header_mid,
	.header_mid input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.header_mid textarea,
	.header_mid select,
	.header_mid option,
	nav > div > ul a > span.nav_item_wrap .nav_tag,
	nav > div > ul a > span.nav_item_wrap .nav_subtitle,
	.mid_search_but_wrap .cmsmasters_header_search_but:hover,
	#header .header_mid .resp_mid_nav_wrap .resp_mid_nav:hover,
	.header_mid .cmsmasters_social_icon:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_color']) . "
	}

	.header_element_split::after{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_color']) . "
	}
	/* Finish Header Middle Content Color */
	
	
	/* Start Header Middle Primary Color */
	.header_mid a, 
	.top_line_nav li a,
	.header_bot .cmsmasters_social_icon {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_link']) . "
	}
	
	.header_mid .button:hover, 
	.header_mid input[type=submit]:hover, 
	.header_mid input[type=button]:hover, 
	.header_mid button:hover,
	.header_bot .navigation li.current-menu-item, 
	.header_bot ul.navigation > li.menu-item.current-menu-ancestor {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_link']) . "
	}

	@media only screen and (max-width: 1024px) {
		.header_bot ul.navigation .sub-menu{
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_link']) . "
		}
	}
	/* Finish Header Middle Primary Color */
	
	
	/* Start Header Middle Rollover Color */
	.header_mid a:hover, 
	.cmsmasters_dynamic_cart a::before ,
	.mid_search_but_wrap .cmsmasters_header_search_but,
	.header_mid .resp_mid_nav_wrap .resp_mid_nav {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_hover']) . "
	}
	
	.header_mid .button, 
	.header_mid input[type=submit], 
	.header_mid input[type=button], 
	.header_mid button {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_hover']) . "
	}
	
	.header_mid input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]):focus,
	.header_mid textarea:focus,
	.header_mid select:focus {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_mid_hover']) . "
	}
	/* Finish Header Middle Rollover Color */
	
	
	/* Start Header Middle Background Color */
	.header_mid .button, 
	.header_mid input[type=submit], 
	.header_mid input[type=button], 
	.header_mid button, 
	.header_mid .button:hover, 
	.header_mid input[type=submit]:hover, 
	.header_mid input[type=button]:hover, 
	.header_mid button:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_bg']) . "
	}
	
	.header_mid,
	.header_mid input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.header_mid textarea,
	.header_mid select,
	.header_mid option {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_bg']) . "
	}
	/* Finish Header Middle Background Color */
	
	
	/* Start Header Middle Background Color on Scroll */
	.header_mid.header_mid_scroll {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_bg_scroll']) . "
	}
	
	@media only screen and (max-width: 1024px) {
		.header_mid {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_bg_scroll']) . "
		}
		
		.enable_header_bottom #header .header_mid .header_interface_outer .social_wrap {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_mid_bg_scroll']) . "
		}

		#page.enable_header_bottom .header_interface_outer .header_interface_wrap *,
		#page.enable_header_bottom .header_interface_outer .header_interface_wrap *:hover,
		#page.enable_header_bottom .header_interface_outer .header_interface_wrap *::before,
		#page.enable_header_bottom .header_interface_outer .header_interface_wrap *::after{
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_bg_scroll']) . "
		}

		#page.enable_header_bottom .header_interface_outer .header_interface_wrap a:hover{
			opacity: 0.5;
		}

		#page.enable_header_bottom .header_interface_outer .header_interface_wrap a:hover::before{
			opacity: 1;
		}
	}
	/* Finish Header Middle Background Color on Scroll */
	
	
	/* Start Header Middle Borders Color */
	.header_mid input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.header_mid textarea,
	.header_mid select,
	.header_mid option,
	.header_mid.header_mid_scroll .header_mid_outer {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_mid_border']) . "
	}
	/* Finish Header Middle Borders Color */
	
	
	/* Start Header Middle Custom Rules */
	.header_mid ::selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_header_mid_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_bg']) . "
	}
	
	.header_mid ::-moz-selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_header_mid_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_mid_bg']) . "
	}
	/* Finish Header Middle Custom Rules */

/***************** Finish Header Middle Color Scheme Rules ******************/



/***************** Start Header Bottom Color Scheme Rules ******************/

	/* Start Header Bottom Content Color */
	.header_bot,
	.header_bot input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.header_bot textarea,
	.header_bot select,
	.header_bot option,
	.header_bot ul.navigation > li > a,
	.header_bot nav > div > ul > li > a span.nav_item_wrap .nav_subtitle,
	.header_bot nav > div > ul > li > a span.nav_item_wrap .nav_tag,
	.header_bot nav > div > ul > li > a span.nav_item_wrap .nav_title::before{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_color']) . "
	}
	
	@media only screen and (max-width: 1024px) {
		.header_bot #navigation a,
		.header_bot #navigation a .nav_title,
		.header_bot #navigation a .nav_title::before{
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_color']) . "
		}
	}

	.header_bot option {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_color']) . "
	}
	/* Finish Header Bottom Content Color */
	
	
	/* Start Header Bottom Primary Color */ 
	selector{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_link']) . "
	}
	
	#page nav > div > ul li.current-menu-item > a .nav_title[class^='cmsmasters-icon-']:before, 
	#page nav > div > ul li.current-menu-item > a .nav_title[class*=' cmsmasters-icon-']:before,
	.navigation li.current-menu-item > a .nav_item_wrap,
	.navigation li.current-menu-item > a .nav_item_wrap *,
	ul.navigation > li.menu-item.current-menu-ancestor > a > .nav_item_wrap .nav_title::before ,
	ul.navigation > li.menu-item.current-menu-ancestor > a .cmsmasters_resp_nav_toggle,
	.header_mid ul.navigation > li.menu-item.current-menu-ancestor > a > .nav_item_wrap,
	.navigation li.current-menu-ancestor:not(.menu-item-has-children) > a ,
	.navigation li.current-menu-ancestor:not(.menu-item-has-children):hover > a ,
	.navigation li.current-menu-ancestor:not(.menu-item-has-children) > a:hover,
	ul.navigation > li.menu-item.current-menu-ancestor > a > .nav_item_wrap * {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link_current']) . "
	}

	.navigation li.current-menu-ancestor > a:not([href]):not([href='#']):hover,
	.navigation li.current-menu-ancestor > a:not([href]):not([href='#']){
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link_bg_current']) . "
	}

	.header_mid ul.navigation > li.menu-item.current-menu-ancestor > a > .nav_item_wrap,
	.header_mid ul.navigation li.current-menu-item > a > .nav_item_wrap{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_navigation_title_link_bg_current']) . "
	}
	
	.header_bot .button:hover, 
	.header_bot input[type=submit]:hover, 
	.header_bot input[type=button]:hover, 
	.header_bot button:hover, 
	.header_bot .resp_bot_nav_wrap .resp_bot_nav:hover, 
	.header_bot .resp_bot_nav_wrap .resp_bot_nav.active {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_link']) . "
	}
	/* Finish Header Bottom Primary Color */
	
	
	/* Start Header Bottom Rollover Color */
	.header_bot a:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_hover']) . "
	}

	@media only screen and (max-width: 1024px) {
		.header_bot #navigation a:hover .nav_title,
		.header_bot #navigation a:hover,
		.header_bot #navigation li.current-menu-ancestor,
		.header_bot #navigation li.current-menu-ancestor > a,
		.header_bot #navigation li.current-menu-ancestor > a .cmsmasters_resp_nav_toggle ,
		.header_bot #navigation li.current-menu-ancestor > a .nav_title,
		.header_bot #navigation li.current-menu-ancestor > a .nav_title::before,
		.header_bot #navigation li.current-menu-item,
		.header_bot #navigation li.current-menu-item > a,
		.header_bot #navigation li.current-menu-item > a .cmsmasters_resp_nav_toggle,
		.header_bot #navigation li.current-menu-item > a .nav_title,
		#page .header_bot #navigation li.current-menu-item > a .nav_title::before{
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_hover']) . "
		}
	}
	
	.header_bot .button, 
	.header_bot input[type=submit], 
	.header_bot input[type=button], 
	.header_bot button,
	.header_bot .resp_bot_nav_wrap .resp_bot_nav {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_hover']) . "
	}
	
	.header_bot input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]):focus,
	.header_bot textarea:focus,
	.header_bot select:focus {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_bot_hover']) . "
	}
	/* Finish Header Bottom Rollover Color */
	
	
	/* Start Header Bottom Background Color */
	.header_bot .button, 
	.header_bot input[type=submit], 
	.header_bot input[type=button], 
	.header_bot button, 
	.header_bot .resp_bot_nav_wrap .resp_bot_nav, 
	.header_bot .resp_bot_nav_wrap .resp_bot_nav:hover, 
	.header_bot .resp_bot_nav_wrap .resp_bot_nav.active {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
	}
	
	.header_bot,
	.header_bot input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.header_bot textarea,
	.header_bot select,
	.header_bot option{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
	}

	@media only screen and (max-width: 1024px) {
		.enable_header_bottom .header_interface_outer {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
		}
	}

	.header_interface_wrap >*::after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
	}
	/* Finish Header Bottom Background Color */
	
	
	/* Start Header Bottom Background Color on Scroll */
	.header_bot.header_bot_scroll {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_bg_scroll']) . "
	}
	
	@media only screen and (max-width: 1024px) {
		.header_bot,
		.header_bot .bot_nav_wrap #navigation,
		.header_bot .navigation > li.current-menu-ancestor > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_bot_bg_scroll']) . "
		}

		.header_bot .navigation li.current-menu-item{
			background-color: transparent;
		}

		.header_bot .navigation > li.current-menu-ancestor > a {
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_bot_bg_scroll']) . "
		}
	}
	/* Finish Header Bottom Background Color on Scroll */
	
	
	/* Start Header Bottom Borders Color */
	.header_bot input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.header_bot textarea,
	.header_bot select,
	.header_bot option,
	.header_bot .navigation li.current-menu-item, 
	.header_bot ul.navigation > li.menu-item.current-menu-ancestor{
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_bot_border']) . "
	}
	/* Finish Header Bottom Borders Color */
	
	
	/* Start Header Bottom Custom Rules */
	.header_bot ::selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_header_bot_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
	}
	
	.header_bot ::-moz-selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_header_bot_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_bot_bg']) . "
	}
	/* Finish Header Bottom Custom Rules */

/***************** Finish Header Bottom Color Scheme Rules ******************/



/***************** Start Navigation Color Scheme Rules ******************/

	/* Start Navigation Title Link Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li > a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link']) . "
		}
	}
	/* Finish Navigation Title Link Color */
	
	
	/* Start Navigation Title Link Hover Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li > a:hover,
		ul.navigation > li:hover > a,
		nav > div > ul div.menu-item-mega-container li.menu-item-has-children.current-menu-ancestor > a,
		nav > div > ul div.menu-item-mega-container li.menu-item-has-children.current-menu-ancestor > a:hover {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link_hover']) . "
		}
	}

	nav > div > ul .nav_title[class^='cmsmasters-icon-']:before,
	nav > div > ul .nav_title[class*=' cmsmasters-icon-']:before,
	.navigation li.current-menu-ancestor > a,
	.navigation li.current-menu-ancestor > a:hover, 
	.navigation li.current-menu-item > a .cmsmasters_resp_nav_toggle{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link_hover']) . "
	}
	
	/* Finish Navigation Title Link Hover Color */


	/* Start Navigation Title Link Current Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li.menu-item.current-menu-item > a, 
		ul.navigation > li.menu-item.current-menu-ancestor > a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link_current']) . "
		}
	}

	@media only screen and (max-width: 1025px) {
	.navigation > li.current-menu-ancestor > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_navigation_title_link_bg_current']) . "
		}
	}
	/* Finish Navigation Title Link Current Color */
	
	
	/* Start Navigation Title Link Subtitle Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li > a .nav_subtitle {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_title_link_subtitle']) . "
		}
		
		ul.navigation > li > a .nav_tag:before {
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_navigation_title_link_subtitle']) . "
		}
	}
	/* Finish Navigation Title Link Subtitle Color */
	
	
	/* Start Navigation Title Link Background Color */
	@media only screen and (min-width: 1025px) {
	}
	/* Finish Navigation Title Link Background Color */
	
	
	/* Start Navigation Title Link Hover Background Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li > a:hover,
		ul.navigation > li:hover > a {
			background-color: transparent;
		}
	}
	/* Finish Navigation Title Link Hover Background Color */
	
	
	/* Start Navigation Title Link Current Background Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li.menu-item.current-menu-item > a, 
		ul.navigation > li.menu-item.current-menu-ancestor > a {
			background-color: transparent;
		}
	}
	/* Finish Navigation Title Link Current Background Color */
	
	
	/* Start Navigation Title Link Border Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation > li,
		nav > div > ul div.menu-item-mega-container li,
		nav > div > ul div.menu-item-mega-container li > a,
		nav > div > ul div.menu-item-mega-container li.menu-item-has-children.current-menu-ancestor > a,
		.navigation li.current-menu-item,
		.navigation li.current-menu-ancestor,
		nav > div > ul > li > .sub-menu li,
		nav > div > ul > li > .sub-menu li a{
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_navigation_title_link_border']) . "
		}
	}
	/* Finish Navigation Title Link Border Color */
	
	
	/* Start Navigation Dropdown Text Color */
	.navigation li .menu-item-mega-description-container, 
	.navigation li .menu-item-mega-description-container * {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_dropdown_text']) . "
	}
	/* Finish Navigation Dropdown Tex Color */
	
	
	/* Start Navigation Dropdown Background Color */
	@media only screen and (max-width: 1024px) {
		ul.navigation,
		nav > div > ul div.menu-item-mega-container li.current-menu-item > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_navigation_dropdown_bg']) . "
		}
	}
	
	@media only screen and (min-width: 1025px) {
		ul.navigation ul, 
		ul.navigation .menu-item-mega-container,
		nav > div > ul div.menu-item-mega-container li.menu-item-has-children.current-menu-ancestor > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_navigation_dropdown_bg']) . "
		}
	}
	/* Finish Navigation Dropdown Background Color */
	
	
	/* Start Navigation Dropdown Border Color */
	@media only screen and (min-width: 1025px) {
		ul.navigation ul, 
		ul.navigation .menu-item-mega-container {
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_navigation_dropdown_border']) . "
		}
	}
	/* Finish Navigation Dropdown Border Color */
	
	
	/* Start Navigation Dropdown Link Color */
	.navigation li a,
	nav > div > ul > li .sub-menu li a .nav_tag {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_dropdown_link']) . "
	}

	@media only screen and (min-width: 1025px) {
		.navigation div.menu-item-mega-container > ul > li > a:not([href]):not([href='#']):hover, 
		.navigation div.menu-item-mega-container > ul > li > a:not([href]):not([href='#']):hover .nav_subtitle,
		#page .navigation > li li a:not([href]):not([href='#']),
		#page .navigation > li li a:not([href]):not([href='#']):hover {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_dropdown_link']) . "
		}
	}
	/* Finish Navigation Dropdown Link Color */
	
	
	/* Start Navigation Dropdown Link Hover Color */
	.navigation li > a:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_hover']) . "
	}
	
	@media only screen and (min-width: 1025px) {
		ul.navigation li > ul li> a:hover, 
		ul.navigation li > ul li> a:hover .nav_subtitle {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_hover']) . "
		}
		
		.navigation div.menu-item-mega-container > ul > li > a:not([href]):not([href='#']):hover {
			background-color:transparent;
		}
	}
	/* Finish Navigation Dropdown Link Hover Color */
	
	
	/* Start Navigation Dropdown Link Subtitle Color */
	.navigation li a .nav_subtitle {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_subtitle']) . "
	}
	/* Finish Navigation Dropdown Link Subtitle Color */

	.navigation li.current-menu-item > a,
	.navigation li.current-menu-item {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_highlight']) . "
	}

	@media only screen and (max-width: 1025px) {
	.navigation > li.current-menu-ancestor > a {
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_highlight']) . "
		}
	}
	
	@media only screen and (min-width: 1025px) {
		.navigation li.current-menu-item > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_highlight']) . "
		}
	}
	/* Finish Navigation Dropdown Link Hover Highlight Color */
	
	
	/* Start Navigation Dropdown Link Border Color */
	.navigation li {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_navigation_dropdown_link_border']) . "
	}
	/* Finish Navigation Dropdown Link Border Color */

/***************** Finish Navigation Color Scheme Rules ******************/



/***************** Start Header Top Color Scheme Rules ******************/

	/* Start Header Top Content Color */
	.header_top {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_color']) . "
	}
	/* Finish Header Top Content Color */
	
	
	/* Start Header Top Primary Color */
	.header_top a,
	.header_top .header_top_but, 
	.header_top .responsive_top_nav,
	#page ul.top_line_nav li.current-menu-ancestor > a,
	#page ul.top_line_nav li.current-menu-item > a {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_link']) . "
	}
	
	selector {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_link']) . "
	}
	/* Finish Header Top Primary Color */
	
	
	/* Start Header Top Rollover Color */
	.header_top a:hover,
	.header_top .header_top_but:hover,
	.header_top .cmsmasters_social_icon:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_hover']) . "
	}


	@media only screen and (max-width: 1024px) {
		.top_line_nav li a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_hover']) . "
		}
	}
	
	selector {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_hover']) . "
	}
	/* Finish Header Top Rollover Color */
	
	
	/* Start Header Top Background Color */
	selector {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_bg']) . "
	}
	
	.header_top,
	ul.top_line_nav ul li.current-menu-ancestor > a ,
	ul.top_line_nav ul li.current-menu-item > a {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_bg']) . "
	}
	/* Finish Header Top Background Color */
	
	
	/* Start Header Top Borders Color */
	.header_top .header_top_but {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_top_border']) . "
	}
	/* Finish Header Top Borders Color */
	
	
	/* Start Header Top Custom Rules */
	.header_top ::selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_header_top_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_bg']) . "
	}
	
	.header_top ::-moz-selection {
		" . cmsmasters_color_css('background', $cmsmasters_option['bambini' . '_header_top_link']) . "
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_bg']) . "
	}
	/* Finish Header Top Custom Rules */

/***************** Finish Header Top Color Scheme Rules ******************/



/***************** Start Header Top Navigation Color Scheme Rules ******************/

	/* Start Header Top Navigation Title Link Color */
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav > li > a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_title_link']) . "
		}
	}
	/* Finish Header Top Navigation Title Link Color */
	
	
	/* Start Header Top Navigation Title Link Hover Color */
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav > li:not(.current-menu-item):not(.current_page_parent) > a:hover,
		ul.top_line_nav > li:hover:not(.current-menu-item):not(.current_page_parent) > a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_title_link_hover']) . "
		}
	}

	@media only screen and (min-width: 1025px) {
		ul.top_line_nav > li.current-menu-item > a,
		ul.top_line_nav > li.current-menu-ancestor > a{
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_title_link_hover']) . "
		}
	}

	@media only screen and (min-width: 1025px) {
		ul.top_line_nav > li.current-menu-item,
		ul.top_line_nav > li.current-menu-item + li,
		ul.top_line_nav > li.current-menu-ancestor,
		ul.top_line_nav > li.current-menu-ancestor + li{
			" . cmsmasters_color_css('border-left-color', $cmsmasters_option['bambini' . '_header_top_title_link_hover']) . "
		}

		ul.top_line_nav > li.current-menu-item:last-child,
		ul.top_line_nav > li.current-menu-ancestor:last-child{
			" . cmsmasters_color_css('border-right-color', $cmsmasters_option['bambini' . '_header_top_title_link_hover']) . "
		}
	}
	/* Finish Header Top Navigation Title Link Hover Color */
	
	
	
	
	/* Start Header Top Navigation Title Link Border Color */
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav > li {
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_top_title_link_border']) . "
		}
	}
	/* Finish Header Top Navigation Title Link Border Color */
	
	
	/* Start Header Top Navigation Dropdown Background Color */
	@media only screen and (max-width: 1024px) {
		ul.top_line_nav {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_dropdown_bg']) . "
		}
	}

	@media only screen and (max-width: 1024px) {
		.top_line_nav li a:hover ,
		#page ul.top_line_nav li.current-menu-ancestor > a ,
		#page ul.top_line_nav li.current-menu-item > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_dropdown_bg']) . "
		}
	}
	
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav ul {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_dropdown_bg']) . "
		}
	}
	/* Finish Header Top Navigation Dropdown Background Color */
	
	
	/* Start Header Top Navigation Dropdown Border Color */
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav ul {
			" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_top_dropdown_border']) . "
		}
	}
	/* Finish Header Top Navigation Dropdown Border Color */
	
	
	/* Start Header Top Navigation Dropdown Link Color */
	selector {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_dropdown_link']) . "
	}
	/* Finish Header Top Navigation Dropdown Link Color */
	
	
	/* Start Header Top Navigation Dropdown Link Hover Color */
	.top_line_nav li.current-menu-item:hover > a,
	.top_line_nav li.current_page_parent:hover > a,
	.top_line_nav li.current-menu-item:hover > a{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_dropdown_link_hover']) . "
	}



	@media only screen and (max-width: 1024px) {
		.top_line_nav li a:hover ,
		#page ul.top_line_nav li.current-menu-ancestor > a ,
		#page ul.top_line_nav li.current-menu-item > a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_dropdown_link_hover']) . "
		}
	}
	
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav ul li:hover > a, 
		ul.top_line_nav ul li.current-menu-ancestor > a {
			" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_header_top_dropdown_link_hover']) . "
		}
	}
	/* Finish Header Top Navigation Dropdown Link Hover Color */
	
	
	/* Start Header Top Navigation Dropdown Link Hover Highlight Color */
	.top_line_nav li.current-menu-item > a {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_dropdown_link_highlight']) . "
	}
	
	@media only screen and (min-width: 1025px) {
		ul.top_line_nav > ul > li.current-menu-ancestor > a {
			" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_header_top_dropdown_link_highlight']) . "
		}
	}
	/* Finish Header Top Navigation Dropdown Link Hover Highlight Color */
	
	
	/* Start Header Top Navigation Dropdown Link Border Color */
	.top_line_nav li {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_header_top_dropdown_link_border']) . "
	}
	/* Finish Header Top Navigation Dropdown Link Border Color */

/***************** Finish Header Top Navigation Color Scheme Rules ******************/


/***************** Start Footer Navigation Color Scheme Rules ******************/
.footer .footer_nav a  {
	" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_footer_color']) . "
}

.footer .social_wrap  a {
	" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_footer_heading']) . "
}

.footer .footer_inner,
.footer .footer_inner * {
	" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_footer_border']) . "
}
/***************** Finish Footerop Navigation Color Scheme Rules ******************/

";
	
	
	return apply_filters('bambini_theme_colors_secondary_filter', $custom_css);
}

