<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.9
 * 
 * Theme Fonts Rules
 * Created by CMSMasters
 * 
 */


function bambini_theme_fonts() {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$custom_css = "/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.9
 * 
 * Theme Fonts Rules
 * Created by CMSMasters
 * 
 */


/***************** Start Theme Font Styles ******************/

	/* Start Content Font */
	body,
	.cmsmasters_archive_type .cmsmasters_archive_item_content,
	.widget_recent_comments a,
	.widget_archive a,
	.widget_recent_entries a,
	.widget_categories a ,
	.widget_meta a,
	.cmsmasters_quotes_slider .cmsmasters_quote_content,
	.cmsmasters_quotes_grid .cmsmasters_quote_content,
	.cmsmasters_dropcap{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_content_font_google_font']) . $cmsmasters_option['bambini' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_content_font_font_style'] . ";
	}

	.widget_recent_comments a,
	.widget_archive a,
	.widget_recent_entries a ,
	.widget_categories a ,
	.widget_meta a,
	.share_posts .share_posts_inner a::before{
		font-size:" . ($cmsmasters_option['bambini' . '_content_font_font_size'] + 1) . "px;
	}
	
	.header_mid .slogan_wrap .slogan_wrap_text,
	.cmsmasters-icon-custom-calendar::before,
	.cmsmasters-icon-custom-pen::before,
	.widget_nav_menu ul li a,
	.widget_pages ul li a{
		font-size:" . ($cmsmasters_option['bambini' . '_content_font_font_size'] - 1) . "px;
	}

	.widget_rss::before{
		font-size:" . ($cmsmasters_option['bambini' . '_content_font_font_size'] - 2) . "px;
	}

	.cmsmasters_quotes_slider .cmsmasters_quote_content,
	.cmsmasters_quotes_grid .cmsmasters_quote_content{
		font-size:" . ($cmsmasters_option['bambini' . '_content_font_font_size'] + 2) . "px;
		line-height:" . ($cmsmasters_option['bambini' . '_content_font_line_height'] + 2) . "px;
	}

	.cmsmasters_post_date::before,
	.cmsmasters_post_author::before,
	.cmsmasters_comment_item_date::before{
		font-size:" . $cmsmasters_option['bambini' . '_content_font_font_size'] . "px;
	}

	/* Finish Content Font */


	/* Start Link Font */
	a,
	nav > div > ul a > span.nav_item_wrap .nav_tag,
	nav > div > ul a > .nav_item_wrap .nav_subtitle,
	.header_top .meta_wrap > *,
	.subpage_nav > strong,
	.subpage_nav > span,
	.subpage_nav > a,
	.subpage_nav > span:not([class]) {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_link_font_google_font']) . $cmsmasters_option['bambini' . '_link_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_link_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_link_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_link_font_text_decoration'] . ";
	}
	
	.header_top .meta_wrap > *{
		font-size:" . ($cmsmasters_option['bambini' . '_link_font_font_size'] - 2) . "px;
		line-height:" . ($cmsmasters_option['bambini' . '_link_font_line_height'] - 2) . "px;
	}

	.header_top .meta_wrap > *::before{
		font-size:" . $cmsmasters_option['bambini' . '_link_font_font_size'] . "px;
	}

	nav > div > ul a > .nav_item_wrap .nav_subtitle{
		font-size:" . ($cmsmasters_option['bambini' . '_link_font_font_size'] - 3) . "px;
	}

	nav > div > ul a > span.nav_item_wrap .nav_tag{
		font-size:" . ($cmsmasters_option['bambini' . '_link_font_font_size'] - 5) . "px;
		line-height:" . ($cmsmasters_option['bambini' . '_link_font_line_height'] - 5) . "px;
		text-transform: uppercase;
	}
	
	a:hover {
		text-decoration:" . $cmsmasters_option['bambini' . '_link_hover_decoration'] . ";
	}
	/* Finish Link Font */


	/* Start Navigation Title Font */
	.navigation > li > a, 
	.top_line_nav > li > a, 
	.footer_nav > li > a {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_nav_title_font_google_font']) . $cmsmasters_option['bambini' . '_nav_title_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_nav_title_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_nav_title_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_nav_title_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_nav_title_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_nav_title_font_text_transform'] . ";
	}

	.footer_inner .footer_logo_wrap + .footer_copyright {
		font-size:" . $cmsmasters_option['bambini' . '_nav_title_font_font_size'] . "px;
	}

	.footer .footer_copyright,
	.footer .footer_inner .footer_custom_html {
		font-size:" . ($cmsmasters_option['bambini' . '_nav_title_font_font_size'] - 1) . "px;
	}

	.top_line_nav > li > a{
		font-size:" . ($cmsmasters_option['bambini' . '_nav_title_font_font_size'] - 2) . "px;
		text-transform: uppercase;
	}

	.navigation > li > a .nav_title::before{
		font-size:" . ($cmsmasters_option['bambini' . '_nav_title_font_font_size'] + 5) . "px;
	}

	.cmsmasters_dynamic_cart_button_count{
		font-size:" . ($cmsmasters_option['bambini' . '_nav_title_font_font_size'] - 1) . "px;
	}
	/* Finish Navigation Title Font */


	/* Start Navigation Dropdown Font */
	.navigation ul li a,
	.top_line_nav ul li a {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_nav_dropdown_font_google_font']) . $cmsmasters_option['bambini' . '_nav_dropdown_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_nav_dropdown_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_nav_dropdown_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_nav_dropdown_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_nav_dropdown_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_nav_dropdown_font_text_transform'] . ";
	}
	/* Finish Navigation Dropdown Font */


	/* Start H1 Font */
	h1,
	h1 a,
	.logo .title,
	.cmsmasters_pricing_table .cmsmasters_price_wrap, 
	.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h1_font_google_font']) . $cmsmasters_option['bambini' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h1_font_text_decoration'] . ";
	}
	
	@media only screen and (max-width: 500px){
		.headline_outer .headline_inner .headline_text .entry-title{
			font-size:" . ($cmsmasters_option['bambini' . '_h1_font_font_size'] - 6) . "px;
			line-height:" . ($cmsmasters_option['bambini' . '_h1_font_line_height'] - 6) . "px;
		}
	}
	
	.cmsmasters_archive_type .cmsmasters_post_read_more,
	.cmsmasters_post_default .cmsmasters_post_read_more,
	.cmsmasters_post_timeline .cmsmasters_post_read_more,
	.cmsmasters_post_masonry .cmsmasters_post_read_more,
	.cmsmasters_project_read_more,
	.cmsmasters_post_read_more,
	.cmsmasters_slider_post_read_more{
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
	}
	
	.cmsmasters_icon_list_items.cmsmasters_icon_list_icon_type_number .cmsmasters_icon_list_item .cmsmasters_icon_list_icon:before,
	.cmsmasters_icon_box.box_icon_type_number:before,
	.cmsmasters_icon_box.cmsmasters_icon_heading_left.box_icon_type_number .icon_box_heading:before {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h1_font_google_font']) . $cmsmasters_option['bambini' . '_h1_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h1_font_font_style'] . ";
	}

	.cmsmasters_dropcap::first-letter ,
	.cmsmasters_dropcap.type2 {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h1_font_google_font']) . $cmsmasters_option['bambini' . '_h1_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h1_font_text_decoration'] . ";
	}
	
	.cmsmasters_dropcap.type1::first-letter {
		font-size:55px; /* static */
		line-height:60px; /* static */
	}
	
	.cmsmasters_dropcap.type2 {
		font-size:45px; /* static */
		text-transform: uppercase;
	}
	
	.cmsmasters_dropcap::first-letter {
		text-transform: uppercase;
	}
	
	.headline_outer .headline_inner .headline_icon:before {
		font-size:" . ((int) $cmsmasters_option['bambini' . '_h1_font_font_size'] + 4) . "px;
	}
	
	.headline_outer .headline_inner.align_left .headline_icon {
		padding-left:" . ((int) $cmsmasters_option['bambini' . '_h1_font_font_size'] + 15) . "px;
	}
	
	.headline_outer .headline_inner.align_right .headline_icon {
		padding-right:" . ((int) $cmsmasters_option['bambini' . '_h1_font_font_size'] + 15) . "px;
	}
	
	.headline_outer .headline_inner.align_center .headline_icon {
		padding-top:" . ((int) $cmsmasters_option['bambini' . '_h1_font_line_height'] - 6) . "px;
	}
	/* Finish H1 Font */


	/* Start H2 Font */
	h2,
	h2 a,
	.cmsmasters_header_search_form .cmsmasters_header_search_form_field input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	#order_review_heading, 
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h2_font_google_font']) . $cmsmasters_option['bambini' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h2_font_text_decoration'] . ";
	}
	/* Finish H2 Font */


	/* Start H3 Font */
	h3,
	h3 a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h3_font_google_font']) . $cmsmasters_option['bambini' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h3_font_text_decoration'] . ";
	}

	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap{
		font-weight:" . $cmsmasters_option['bambini' . '_h3_font_font_weight'] . ";
	}
	/* Finish H3 Font */


	/* Start H4 Font */
	h4, 
	h4 a, 
	.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap,
	.cmsmasters_post_masonry .cmsmasters_post_header .cmsmasters_post_title,
	.post_comments .post_comments_title,
	.comment-respond .comment-reply-title ,
	.comment-respond .comment-reply-title a,
	.cmsmasters_pricing_table .pricing_title {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h4_font_google_font']) . $cmsmasters_option['bambini' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h4_font_text_decoration'] . ";
	}
	
	selector{
		font-size:" . ($cmsmasters_option['bambini' . '_h4_font_font_size'] - 1) . "px;
	}

	.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat {
		padding-top:" . ((int) $cmsmasters_option['bambini' . '_h4_font_line_height'] * 2 + 13) . "px;
	}
	
	.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat_container {
		height:" . ((int) $cmsmasters_option['bambini' . '_h4_font_line_height'] * 2 + 220 + 13) . "px;
	}
	/* Finish H4 Font */


	/* Start H5 Font */
	h5,
	h5 a,
	.post_nav > span > a,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont a,
	#wp-calendar caption,
	.widget_rss::after,
	.cmsmasters_product .cmsmasters_product_add_inner .button, 
	.cmsmasters_stats .cmsmasters_stat_wrap .cmsmasters_stat_title,
	.cmsmasters_toggles .cmsmasters_toggle_title a,
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > a, 
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > a, 
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > a,
	.cmsmasters_tabs .cmsmasters_tabs_list_item a,
	.datepicker .datepicker-switch {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h5_font_google_font']) . $cmsmasters_option['bambini' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h5_font_text_decoration'] . ";
	}

	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont a{
		line-height:" . ($cmsmasters_option['bambini' . '_h5_font_line_height'] - 3) . "px;
	}

	@media only screen and (max-width: 1440px) and (min-width:950px) {
		.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont a{
			font-size:" . ($cmsmasters_option['bambini' . '_h5_font_font_size'] - 5) . "px;
			line-height:" . ($cmsmasters_option['bambini' . '_h5_font_line_height'] - 5) . "px;
		}
	}

	@media only screen and (max-width: 600px) and (min-width: 410px){
		.cmsmasters_project_puzzle .cmsmasters_project_header .cmsmasters_project_title,
		.cmsmasters_project_puzzle .cmsmasters_project_header .cmsmasters_project_title a{
			font-size:" . ($cmsmasters_option['bambini' . '_h5_font_font_size'] - 2) . "px;
			line-height:" . ($cmsmasters_option['bambini' . '_h5_font_line_height'] - 2) . "px;
		}
	}

	.cmsmasters_single_slider .cmsmasters_owl_slider .owl-buttons{
		font-size:" . $cmsmasters_option['bambini' . '_h5_font_font_size'] . "px;
	}
	/* Finish H5 Font */


	/* Start H6 Font */
	h6,
	h6 a,
	.about_author .about_author_cont a,
	.cmsmasters_items_filter_wrap .cmsmasters_items_filter .button,
	.cmsmasters_open_profile .profile_details_item_title,
	.cmsmasters_open_profile .profile_features_item_title,
	.cmsmasters_open_project .project_features_item_title,
	.cmsmasters_open_project .project_details_item_title,
	.widget_recent_comments li.recentcomments > a,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_list_item a,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tab li .color_2 + a,
	#wp-calendar thead th,
	#wp-calendar tfoot a,
	.form-row label,
	.comment-form-rating label, 
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_title,
	.cmsmasters_pricing_table .cmsmasters_price_wrap .cmsmasters_period,
	.cmsmasters_toggles .cmsmasters_toggles_filter a,
	dt,
	.cmsmasters-form-builder label,
	.cmsmasters_contact_form label,
	.comments_nav > span a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h6_font_text_decoration'] . ";
	}



	@media only screen and (max-width: 1440px) and (min-width:950px) {
		.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_tabs_list_item a{
			font-size:" . ($cmsmasters_option['bambini' . '_h6_font_font_size'] - 1) . "px;
			line-height:" . ($cmsmasters_option['bambini' . '_h6_font_line_height'] - 1) . "px;
		}
	}


	.datepicker table tr td,
	.datepicker table tr td span{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h6_font_font_size'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
	}

	.widget_tag_cloud .tagcloud a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h6_font_font_size'] . "px !important;
		line-height:" . $cmsmasters_option['bambini' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h6_font_text_decoration'] . ";
	}

	.widget_nav_menu ul li a,
	.widget_pages ul li a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
	}
	/* Finish H6 Font */


	/* Start Button Font */
	.cmsmasters_button, 
	.button, 
	input[type=submit], 
	input[type=button], 
	button {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_button_font_google_font']) . $cmsmasters_option['bambini' . '_button_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_button_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_button_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_button_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_button_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_button_font_text_transform'] . ";
	}
	
	.header_mid .slogan_wrap .slogan_wrap_text{
		font-weight:" . $cmsmasters_option['bambini' . '_button_font_font_weight'] . ";
	}

	.header_top .meta_wrap > *{
		font-weight:" . $cmsmasters_option['bambini' . '_button_font_font_weight'] . ";
	}
	
	.gform_wrapper .gform_footer input.button, 
	.gform_wrapper .gform_footer input[type=submit] {
		font-size:" . $cmsmasters_option['bambini' . '_button_font_font_size'] . "px !important;
	}
	
	.cmsmasters_button.cmsmasters_but_icon_dark_bg, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg, 
	.cmsmasters_button.cmsmasters_but_icon_divider, 
	.cmsmasters_button.cmsmasters_but_icon_inverse {
		padding-left:" . ((int) $cmsmasters_option['bambini' . '_button_font_line_height'] + 20) . "px;
	}
	
	.cmsmasters_button.cmsmasters_but_icon_dark_bg:before, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg:before, 
	.cmsmasters_button.cmsmasters_but_icon_divider:before, 
	.cmsmasters_button.cmsmasters_but_icon_inverse:before, 
	.cmsmasters_button.cmsmasters_but_icon_dark_bg:after, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg:after, 
	.cmsmasters_button.cmsmasters_but_icon_divider:after, 
	.cmsmasters_button.cmsmasters_but_icon_inverse:after {
		width:" . $cmsmasters_option['bambini' . '_button_font_line_height'] . "px;
	}
	/* Finish Button Font */


	/* Start Small Text Font */
	small, 
	form .formError .formErrorContent,
	.cmsmasters_comment_item_date ,
	.cmsmasters_post_date ,
	.cmsmasters_post_date a,
	.cmsmasters_post_author,
	.cmsmasters_post_author a,
	.cmsmasters_archive_type .cmsmasters_archive_item_user_name,
	.cmsmasters_archive_type .cmsmasters_archive_item_user_name a,
	.cmsmasters_archive_type .cmsmasters_archive_item_date_wrap,
	.cmsmasters_archive_type .cmsmasters_archive_item_date_wrap a,
	.cmsmasters_archive_type .cmsmasters_archive_item_type,
	.cmsmasters_archive_type .cmsmasters_archive_item_type a,
	.cmsmasters_archive_type .cmsmasters_archive_item_category,
	.cmsmasters_archive_type .cmsmasters_archive_item_category a,
	.cmsmasters_project_category a,
	.cmsmasters_post_category,
	.cmsmasters_post_category a,
	.cmsmasters_open_project .project_details_item_desc a,
	.cmsmasters_open_project .project_details_item_desc,
	.cmsmasters_open_project .project_features_item_desc,
	.cmsmasters_open_profile .profile_features_item_desc,
	.widget_custom_posts_tabs_entries .cmsmasters_tabs .cmsmasters_lpr_tabs_cont abbr,
	.cmsmasters_slider_project_category a,
	.widget_custom_twitter_entries .tweet_time,
	.cmsmasters_slider_post_date,
	.cmsmasters_slider_post_author,
	.cmsmasters_slider_post_author a,
	.cmsmasters_slider_post_category,
	.cmsmasters_slider_post_category a,
	.cmsmasters_post_tags,
	.cmsmasters_post_tags a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_small_font_google_font']) . $cmsmasters_option['bambini' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_small_font_text_transform'] . ";
	}
	
	.gform_wrapper .description, 
	.gform_wrapper .gfield_description, 
	.gform_wrapper .gsection_description, 
	.gform_wrapper .instruction {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_small_font_google_font']) . $cmsmasters_option['bambini' . '_small_font_system_font'] . " !important;
		font-size:" . $cmsmasters_option['bambini' . '_small_font_font_size'] . "px !important;
		line-height:" . $cmsmasters_option['bambini' . '_small_font_line_height'] . "px !important;
	}
	/* Finish Small Text Font */


	/* Start Text Fields Font */
	input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	textarea,
	select,
	option {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_input_font_google_font']) . $cmsmasters_option['bambini' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_input_font_font_style'] . ";
	}
	
	.gform_wrapper input:not([type=button]):not([type=checkbox]):not([type=file]):not([type=hidden]):not([type=image]):not([type=radio]):not([type=reset]):not([type=submit]):not([type=color]):not([type=range]),
	.gform_wrapper textarea, 
	.gform_wrapper select {
		font-size:" . $cmsmasters_option['bambini' . '_input_font_font_size'] . "px !important;
	}
	/* Finish Text Fields Font */


	/* Start Blockquote Font */
	blockquote {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_quote_font_google_font']) . $cmsmasters_option['bambini' . '_quote_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_quote_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_quote_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_quote_font_font_style'] . ";
	}
	
	q {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_quote_font_google_font']) . $cmsmasters_option['bambini' . '_quote_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['bambini' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_quote_font_font_style'] . ";
	}
	/* Finish Blockquote Font */

/***************** Finish Theme Font Styles ******************/


";
	
	
	return apply_filters('bambini_theme_fonts_filter', $custom_css);
}

