<?php 
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version		1.0.0
 * 
 * Archive Template
 * Created by CMSMasters
 * 
 */


$current_tax = '';

$current_tax .= (has_term('', 'category') ? 'category' : '');
$current_tax .= (has_term('', 'pj-categs') ? 'pj-categs' : '');
$current_tax .= (has_term('', 'product_cat') ? 'product_cat' : '');
$current_tax .= (has_term('', 'tribe_events_cat') ? 'tribe_events_cat' : '');
$current_tax .= (has_term('', 'cp-categs') ? 'cp-categs' : '');
$current_tax .= (has_term('', 'events_category') ? 'events_category' : '');
$cmsmasters_profile_social = get_post_meta(get_the_ID(), 'cmsmasters_profile_social', true);
$is_featured_tribe = "";
if(CMSMASTERS_TRIBE_EVENTS){
	$is_featured_tribe .= tribe( 'tec.featured_events' )->is_featured( get_the_ID() ) ? " tribe-event-featured" : "";
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('cmsmasters_archive_type' . $is_featured_tribe) ?>>
	<?php 
	if (!post_password_required() && has_post_thumbnail()) {
		echo '<div class="cmsmasters_archive_item_img_wrap">';
			bambini_thumb(get_the_ID(), "cmsmasters-masonry-thumb", true, false, false);
		echo '</div>';
	}
	?>
	<div class="cmsmasters_archive_item_cont_wrap">
		<?php
			?>
			<div class="cmsmasters_archive_item_type">
				<?php
				$post_type_obj = get_post_type_object(get_post_type());
				echo '<span>' . $post_type_obj->labels->singular_name . '</span>';
				?>
			</div>
		<?php
		if (cmsmasters_title(get_the_ID(), false) != get_the_ID()) {
			?>
			<header class="cmsmasters_archive_item_header entry-header">
				<?php
					echo '<span class="cmsmasters_archive_item_date_wrap cmsmasters-icon-custom-calendar">' . 
						'<abbr class="published cmsmasters_archive_item_date" title="' . esc_attr(get_the_date()) . '">';
							
							
							if (cmsmasters_title(get_the_ID(), false) == get_the_ID()) {
								echo '<a href="' . esc_url(get_permalink()) . '">' . 
									get_the_date() . 
								'</a>';
							} else {
								echo get_the_date();
							}
							
							
						echo '</abbr>' . 
						'<abbr class="dn date updated" title="' . esc_attr(get_the_modified_date()) . '">' . 
							get_the_modified_date() . 
						'</abbr>' . 
					'</span>' . 
					'<span class="cmsmasters_archive_item_user_name cmsmasters-icon-custom-pen">' . 
						'<a href="' . esc_url(get_author_posts_url(get_the_author_meta('ID'))) . '" rel="author" title="' . esc_attr__('Posts by', 'bambini') . ' ' . get_the_author_meta('display_name') . '">' . get_the_author_meta('display_name') . '</a>' . 
					'</span>';
				?>

				<h4 class="cmsmasters_archive_item_title entry-title">
					<a href="<?php the_permalink(); ?>">
						<?php cmsmasters_title(get_the_ID(), true); ?>
					</a>
				</h4>

				<?php
				echo '<div class="cmsmasters_post_info entry-meta">';
						
					if ($current_tax != '') {
						echo '<span class="cmsmasters_archive_item_category">' . 
							bambini_get_the_category_list(get_the_ID(), $current_tax, ', ') . 
						'</span>';
					}
					
					bambini_get_post_comments('post');

					bambini_get_post_likes('post');
					
				echo '</div>';
				?>
			</header>
			<?php 
		}
		
		
		if (bambini_excerpt(55, false) != '') {
			echo cmsmasters_divpdel('<div class="cmsmasters_archive_item_content entry-content">' . "\n" . 
				wpautop(bambini_excerpt(55, false)) . 
			'</div>' . "\n");
		}
		
		echo '<footer class="cmsmasters_archive_item_info entry-meta">';
			bambini_post_more(get_the_ID(), $show = true);
		echo '</footer>';
		
		?>
	</div>
</article>