<?php 
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version		1.1.7
 * 
 * Theme Settings Defaults
 * Created by CMSMasters
 * 
 */


/* Theme Settings General Default Values */
if (!function_exists('bambini_settings_general_defaults')) {

function bambini_settings_general_defaults($id = false) {
	$settings = array( 
		'general' => array( 
			'bambini' . '_theme_layout' => 			'liquid', 
			'bambini' . '_logo_type' => 			'image', 
			'bambini' . '_logo_url' => 				'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo.png', 
			'bambini' . '_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_retina.png', 
			'bambini' . '_logo_title' => 			get_bloginfo('name') ? get_bloginfo('name') : 'Bambini', 
			'bambini' . '_logo_subtitle' => 		'', 
			'bambini' . '_logo_custom_color' => 	0, 
			'bambini' . '_logo_title_color' => 		'', 
			'bambini' . '_logo_subtitle_color' => 	'' 
		), 
		'bg' => array( 
			'bambini' . '_bg_col' => 			'#ffffff', 
			'bambini' . '_bg_img_enable' => 	0, 
			'bambini' . '_bg_img' => 			'', 
			'bambini' . '_bg_rep' => 			'no-repeat', 
			'bambini' . '_bg_pos' => 			'top center', 
			'bambini' . '_bg_att' => 			'scroll', 
			'bambini' . '_bg_size' => 			'cover' 
		), 
		'header' => array( 
			'bambini' . '_fixed_header' => 					1, 
			'bambini' . '_header_overlaps' => 				1, 
			'bambini' . '_header_top_line' => 				0, 
			'bambini' . '_header_top_height' => 			'31', 
			'bambini' . '_header_top_line_short_info' => 	'', 
			'bambini' . '_header_top_line_add_cont' => 		'social', 
			'bambini' . '_header_styles' => 				'default', 
			'bambini' . '_header_mid_height' => 			'108', 
			'bambini' . '_header_bot_height' => 			'90', 
			'bambini' . '_header_search' => 				1, 
			'bambini' . '_header_add_cont' => 				'social', 
			'bambini' . '_header_add_cont_cust_html' => 	'',
			'bambini' . '_woocommerce_cart_dropdown' => 	0
		), 
		'content' => array( 
			'bambini' . '_layout' => 					'r_sidebar', 
			'bambini' . '_archives_layout' => 			'r_sidebar', 
			'bambini' . '_search_layout' => 			'r_sidebar', 
			'bambini' . '_other_layout' => 				'r_sidebar', 
			'bambini' . '_heading_alignment' => 		'center', 
			'bambini' . '_heading_scheme' => 			'default', 
			'bambini' . '_heading_bg_image_enable' => 	1, 
			'bambini' . '_heading_bg_image' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/headline_bg.jpg', 
			'bambini' . '_heading_bg_repeat' => 		'no-repeat', 
			'bambini' . '_heading_bg_attachment' => 	'scroll', 
			'bambini' . '_heading_bg_size' => 			'cover', 
			'bambini' . '_heading_bg_color' => 			'', 
			'bambini' . '_heading_height' => 			'403', 
			'bambini' . '_breadcrumbs' => 				1, 
			'bambini' . '_bottom_scheme' => 			'third', 
			'bambini' . '_bottom_sidebar' => 			0, 
			'bambini' . '_bottom_sidebar_layout' => 	'14141414' 
		), 
		'footer' => array( 
			'bambini' . '_footer_scheme' => 				'footer', 
			'bambini' . '_footer_type' => 					'small', 
			'bambini' . '_footer_additional_content' => 	'social', 
			'bambini' . '_footer_logo' => 					1, 
			'bambini' . '_footer_logo_url' => 				'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer.png', 
			'bambini' . '_footer_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer_retina.png', 
			'bambini' . '_footer_nav' => 					1, 
			'bambini' . '_footer_social' => 				1, 
			'bambini' . '_footer_html' => 					'', 
			'bambini' . '_footer_copyright' => 			'&copy; ' . date('Y') . ' Bambini' . esc_html__('All Rights Reserved', 'bambini'),
			'bambini' . '_footer_type_small_logo' => 		1
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}


/* Theme Settings Fonts Default Values */
if (!function_exists('bambini_settings_font_defaults')) {

function bambini_settings_font_defaults($id = false) {
	$settings = array( 
		'content' => array( 
			'bambini' . '_content_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'15', 
				'line_height' => 		'23', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal' 
			) 
		), 
		'link' => array( 
			'bambini' . '_link_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'15', 
				'line_height' => 		'23', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'bambini' . '_link_hover_decoration' => 	'none' 
		), 
		'nav' => array( 
			'bambini' . '_nav_title_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'14', 
				'line_height' => 		'28', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'bambini' . '_nav_dropdown_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'20', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			) 
		), 
		'heading' => array( 
			'bambini' . '_h1_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'44', 
				'line_height' => 		'50', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'bambini' . '_h2_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'36', 
				'line_height' => 		'42', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'bambini' . '_h3_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'30', 
				'line_height' => 		'36', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'bambini' . '_h4_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'24', 
				'line_height' => 		'31', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'bambini' . '_h5_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'18', 
				'line_height' => 		'24', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'bambini' . '_h6_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700', 
				'font_size' => 			'12', 
				'line_height' => 		'20', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			) 
		), 
		'other' => array( 
			'bambini' . '_button_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'15', 
				'line_height' => 		'46', 
				'font_weight' => 		'500', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'bambini' . '_small_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'23', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'bambini' . '_input_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'20', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal' 
			), 
			'bambini' . '_quote_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'17', 
				'line_height' => 		'23', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal' 
				) 
		), 
		'google' => array( 
			'bambini' . '_google_web_fonts' => array( 
				'Hind:300,400,500,600,700|Hind', 
				'Roboto:300,300italic,400,400italic,500,500italic,700,700italic|Roboto', 
				'Roboto+Condensed:400,400italic,700,700italic|Roboto Condensed', 
				'Open+Sans:300,300italic,400,400italic,700,700italic|Open Sans', 
				'Open+Sans+Condensed:300,300italic,700|Open Sans Condensed', 
				'Droid+Sans:400,700|Droid Sans', 
				'Droid+Serif:400,400italic,700,700italic|Droid Serif', 
				'PT+Sans:400,400italic,700,700italic|PT Sans', 
				'PT+Sans+Caption:400,700|PT Sans Caption', 
				'PT+Sans+Narrow:400,700|PT Sans Narrow', 
				'PT+Serif:400,400italic,700,700italic|PT Serif', 
				'Ubuntu:400,400italic,700,700italic|Ubuntu', 
				'Ubuntu+Condensed|Ubuntu Condensed', 
				'Headland+One|Headland One', 
				'Source+Sans+Pro:300,300italic,400,400italic,700,700italic|Source Sans Pro', 
				'Lato:400,400italic,700,700italic|Lato', 
				'Cuprum:400,400italic,700,700italic|Cuprum', 
				'Oswald:300,400,700|Oswald', 
				'Yanone+Kaffeesatz:300,400,700|Yanone Kaffeesatz', 
				'Lobster|Lobster', 
				'Lobster+Two:400,400italic,700,700italic|Lobster Two', 
				'Questrial|Questrial', 
				'Raleway:300,400,500,600,700|Raleway', 
				'Dosis:300,400,500,700|Dosis', 
				'Cutive+Mono|Cutive Mono', 
				'Quicksand:300,400,700|Quicksand', 
				'Montserrat:400,700|Montserrat', 
				'Cookie|Cookie' 
			) 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// WP Color Picker Palettes
if (!function_exists('cmsmasters_color_picker_palettes')) {

function cmsmasters_color_picker_palettes() {
	$palettes = array( 
		'#9c8481', 
		'#00beb0', 
		'#ef5874', 
		'#745656', 
		'#ffffff', 
		'#fff3ea', 
		'#ded5ce' 
	);
	
	
	return $palettes;
}

}



// Theme Settings Color Schemes Default Colors
if (!function_exists('bambini_color_schemes_defaults')) {

function bambini_color_schemes_defaults($id = false) {
	$settings = array( 
		'default' => array( // content default color scheme
			'color' => 		'#9c8481', 
			'link' => 		'#00beb0', 
			'hover' => 		'#ef5874', 
			'heading' => 	'#745656', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#fff3ea', 
			'border' => 	'#ded5ce', 
		), 
		'header' => array( // Header color scheme
			'mid_color' => 		'#745656', 
			'mid_link' => 		'#9c8481', 
			'mid_hover' => 		'#ef5874', 
			'mid_bg' => 		'#ffffff', 
			'mid_bg_scroll' => 	'#ffffff', 
			'mid_border' => 	'rgba(116,86,86,0.2)', 
			'bot_color' => 		'#ffffff', 
			'bot_link' => 		'#ffffff', 
			'bot_hover' => 		'#ef5874', 
			'bot_bg' => 		'#745656', 
			'bot_bg_scroll' => 	'#745656', 
			'bot_border' => 	'#9c8481' 
		), 
		'navigation' => array( // Navigation color scheme
			'title_link' => 			'#745656', 
			'title_link_hover' => 		'#ef5874', 
			'title_link_current' => 	'#ffffff', 
			'title_link_subtitle' => 	'#9c8481', 
			'title_link_bg' => 			'#745656', 
			'title_link_bg_hover' => 	'#ef5874', 
			'title_link_bg_current' => 	'#ef5874', 
			'title_link_border' => 		'rgba(156,132,129,0.2)', 
			'dropdown_text' => 			'#9c8481', 
			'dropdown_bg' => 			'#fff3ea', 
			'dropdown_border' => 		'rgba(156,132,129,0.2)', 
			'dropdown_link' => 			'#9c8481', 
			'dropdown_link_hover' => 	'#ef5874', 
			'dropdown_link_subtitle' => '#9c8481', 
			'dropdown_link_highlight' =>'#ef5874', 
			'dropdown_link_border' => 	'#827c78' 
		), 
		'header_top' => array( // Header Top color scheme
			'color' => 					'#ffffff', 
			'link' => 					'#ffffff', 
			'hover' => 					'rgba(255,255,255,0.7)', 
			'bg' => 					'#ef5874', 
			'border' => 				'rgba(255,255,255,0.4)', 
			'title_link' => 			'#ffffff', 
			'title_link_hover' => 		'rgba(255,255,255,0.7)', 
			'title_link_bg' => 			'#745656', 
			'title_link_bg_hover' => 	'#ef5874', 
			'title_link_border' => 		'rgba(255,255,255,0.4)', 
			'dropdown_bg' => 			'#fff3ea', 
			'dropdown_border' => 		'rgba(156,132,129,0.2)', 
			'dropdown_link' => 			'rgba(255,255,255,0.4)', 
			'dropdown_link_hover' => 	'#ef5874', 
			'dropdown_link_highlight' => '#745656', 
			'dropdown_link_border' => 	'rgba(156,132,129,0.2)' 
		), 
		'footer' => array( // Footer color scheme
			'color' => 		'rgba(255,255,255,0.4)', 
			'link' => 		'#00beb0', 
			'hover' => 		'#ef5874', 
			'heading' => 	'#ffffff', 
			'bg' => 		'#413737', 
			'alternate' => 	'#745656', 
			'border' => 	'rgba(255,255,255,0.2)' 
		), 
		'first' => array( // custom color scheme 1
			'color' => 		'rgba(255,255,255,0.4)', 
			'link' => 		'#ef5874', 
			'hover' => 		'#ef5874', 
			'heading' => 	'#ffffff', 
			'bg' => 		'#413737', 
			'alternate' => 	'#fff3ea', 
			'border' => 	'#ded5ce' 
		), 
		'second' => array( // custom color scheme 2
			'color' => 		'#9c8481', 
			'link' => 		'#00beb0', 
			'hover' => 		'#ffffff', 
			'heading' => 	'#745656', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#fff3ea', 
			'border' => 	'#ded5ce' 
		), 
		'third' => array( // custom color scheme 3
			'color' => 		'#9c8481', 
			'link' => 		'#00beb0', 
			'hover' => 		'#ef5874', 
			'heading' => 	'#745656', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#fff3ea', 
			'border' => 	'#ded5ce' 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Elements Default Values
if (!function_exists('bambini_settings_element_defaults')) {

function bambini_settings_element_defaults($id = false) {
	$settings = array( 
		'sidebar' => array( 
			'bambini' . '_sidebar' => 	''
		), 
		'icon' => array( 
			'bambini' . '_social_icons' => array( 
				'cmsmasters-icon-facebook-1|#|' . esc_html__('Facebook', 'bambini') . '|true||', 
				'cmsmasters-icon-custom-linkedin-5|#|' . esc_html__('Linkedin', 'bambini') . '|true||', 
				'cmsmasters-icon-custom-gplus|#|' . esc_html__('Google+', 'bambini') . '|true||', 
				'cmsmasters-icon-twitter|#|' . esc_html__('Twitter', 'bambini') . '|true||', 
				'cmsmasters-icon-youtube-play|#|' . esc_html__('YouTube', 'bambini') . '|true||' 
			) 
		), 
		'lightbox' => array( 
			'bambini' . '_ilightbox_skin' => 					'dark', 
			'bambini' . '_ilightbox_path' => 					'vertical', 
			'bambini' . '_ilightbox_infinite' => 				0, 
			'bambini' . '_ilightbox_aspect_ratio' => 			1, 
			'bambini' . '_ilightbox_mobile_optimizer' => 		1, 
			'bambini' . '_ilightbox_max_scale' => 				1, 
			'bambini' . '_ilightbox_min_scale' => 				0.2, 
			'bambini' . '_ilightbox_inner_toolbar' => 			0, 
			'bambini' . '_ilightbox_smart_recognition' => 		0, 
			'bambini' . '_ilightbox_fullscreen_one_slide' => 	0, 
			'bambini' . '_ilightbox_fullscreen_viewport' => 	'center', 
			'bambini' . '_ilightbox_controls_toolbar' => 		1, 
			'bambini' . '_ilightbox_controls_arrows' => 		0, 
			'bambini' . '_ilightbox_controls_fullscreen' => 	1, 
			'bambini' . '_ilightbox_controls_thumbnail' => 	1, 
			'bambini' . '_ilightbox_controls_keyboard' => 		1, 
			'bambini' . '_ilightbox_controls_mousewheel' => 	1, 
			'bambini' . '_ilightbox_controls_swipe' => 		1, 
			'bambini' . '_ilightbox_controls_slideshow' => 	0 
		), 
		'sitemap' => array( 
			'bambini' . '_sitemap_nav' => 			1, 
			'bambini' . '_sitemap_categs' => 		1, 
			'bambini' . '_sitemap_tags' => 		1, 
			'bambini' . '_sitemap_month' => 		1, 
			'bambini' . '_sitemap_pj_categs' => 	1, 
			'bambini' . '_sitemap_pj_tags' => 		1 
		), 
		'error' => array( 
			'bambini' . '_error_color' => 				'#745656', 
			'bambini' . '_error_bg_color' => 			'#ffffff', 
			'bambini' . '_error_bg_img_enable' => 		1, 
			'bambini' . '_error_bg_image' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/error_bg.png',
			'bambini' . '_error_bg_rep' => 			'no-repeat', 
			'bambini' . '_error_bg_pos' => 			'center left', 
			'bambini' . '_error_bg_att' => 			'scroll', 
			'bambini' . '_error_bg_size' => 			'auto', 
			'bambini' . '_error_search' => 			1, 
			'bambini' . '_error_sitemap_button' => 	1, 
			'bambini' . '_error_sitemap_link' => 		'' 
		), 
		'code' => array( 
			'bambini' . '_custom_css' => 			'', 
			'bambini' . '_custom_js' => 			'', 
			'bambini' . '_gmap_api_key' => 		'', 
			'bambini' . '_twitter_access_data' => array(),
		), 
		'recaptcha' => array( 
			'bambini' . '_recaptcha_public_key' => 	'', 
			'bambini' . '_recaptcha_private_key' => 	'' 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Single Posts Default Values
if (!function_exists('bambini_settings_single_defaults')) {

function bambini_settings_single_defaults($id = false) {
	$settings = array( 
		'post' => array( 
			'bambini' . '_blog_post_layout' => 		'r_sidebar', 
			'bambini' . '_blog_post_title' => 			1, 
			'bambini' . '_blog_post_date' => 			1, 
			'bambini' . '_blog_post_cat' => 			1, 
			'bambini' . '_blog_post_author' => 		1, 
			'bambini' . '_blog_post_comment' => 		1, 
			'bambini' . '_blog_post_tag' => 			1, 
			'bambini' . '_blog_post_like' => 			1, 
			'bambini' . '_blog_post_nav_box' => 		1, 
			'bambini' . '_blog_post_nav_order_cat' => 	0, 
			'bambini' . '_blog_post_share_box' => 		1, 
			'bambini' . '_blog_post_author_box' => 	1, 
			'bambini' . '_blog_more_posts_box' => 		'popular', 
			'bambini' . '_blog_more_posts_count' => 	'3', 
			'bambini' . '_blog_more_posts_pause' => 	'5' 
		), 
		'project' => array( 
			'bambini' . '_portfolio_project_title' => 			1, 
			'bambini' . '_portfolio_project_details_title' => 	esc_html__('Project details', 'bambini'), 
			'bambini' . '_portfolio_project_date' => 			1, 
			'bambini' . '_portfolio_project_cat' => 			1, 
			'bambini' . '_portfolio_project_author' => 		1, 
			'bambini' . '_portfolio_project_comment' => 		1, 
			'bambini' . '_portfolio_project_tag' => 			1, 
			'bambini' . '_portfolio_project_like' => 			1, 
			'bambini' . '_portfolio_project_link' => 			0, 
			'bambini' . '_portfolio_project_share_box' => 		1, 
			'bambini' . '_portfolio_project_nav_box' => 		1, 
			'bambini' . '_portfolio_project_nav_order_cat' => 	0, 
			'bambini' . '_portfolio_project_author_box' => 	1, 
			'bambini' . '_portfolio_more_projects_box' => 		'popular', 
			'bambini' . '_portfolio_more_projects_count' => 	'4', 
			'bambini' . '_portfolio_more_projects_pause' => 	'5', 
			'bambini' . '_portfolio_project_slug' => 			'project', 
			'bambini' . '_portfolio_pj_categs_slug' => 		'pj-categs', 
			'bambini' . '_portfolio_pj_tags_slug' => 			'pj-tags' 
		), 
		'profile' => array( 
			'bambini' . '_profile_post_title' => 			1, 
			'bambini' . '_profile_post_details_title' => 	esc_html__('Profile Details', 'bambini'), 
			'bambini' . '_profile_post_cat' => 			1, 
			'bambini' . '_profile_post_comment' => 		1, 
			'bambini' . '_profile_post_like' => 			1, 
			'bambini' . '_profile_post_nav_box' => 		1, 
			'bambini' . '_profile_post_nav_order_cat' => 	0, 
			'bambini' . '_profile_post_share_box' => 		1, 
			'bambini' . '_profile_post_slug' => 			'profile', 
			'bambini' . '_profile_pl_categs_slug' => 		'pl-categs' 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Project Puzzle Proportion */
if (!function_exists('bambini_project_puzzle_proportion')) {

function bambini_project_puzzle_proportion() {
	return 1;
}

}


/* Project Puzzle Proportion */
if (!function_exists('bambini_project_puzzle_large_gar_parameters')) {

function bambini_project_puzzle_large_gar_parameters() {
	$parameter = array ( 
		'container_width' 		=> 1160, 
		'bottomStaticPadding' 	=> 2 
	);
	
	
	return $parameter;
}

}



/* Theme Image Thumbnails Size */
if (!function_exists('bambini_get_image_thumbnail_list')) {

function bambini_get_image_thumbnail_list() {
	$list = array( 
		'cmsmasters-small-thumb' => array( 
			'width' => 		73, 
			'height' => 	73, 
			'crop' => 		true 
		), 
		'cmsmasters-square-thumb' => array( 
			'width' => 		330, 
			'height' => 	330, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Square', 'bambini') 
		), 
		'cmsmasters-blog-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	375, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Masonry Blog', 'bambini') 
		), 
		'cmsmasters-project-thumb' => array( 
			'width' => 		580, 
			'height' => 	390, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project', 'bambini') 
		), 
		'cmsmasters-project-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Project', 'bambini') 
		), 
		'post-thumbnail' => array( 
			'width' => 		860, 
			'height' => 	480, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Featured', 'bambini') 
		), 
		'cmsmasters-masonry-thumb' => array( 
			'width' => 		860, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry', 'bambini') 
		), 
		'cmsmasters-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	750, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Full', 'bambini') 
		), 
		'cmsmasters-project-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	648, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project Full', 'bambini') 
		), 
		'cmsmasters-full-masonry-thumb' => array( 
			'width' => 		1160, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Full', 'bambini') 
		) 
	);
	
	
	return $list;
}

}



/* Project Post Type Registration Rename */
if (!function_exists('bambini_project_labels')) {

function bambini_project_labels() {
	return array( 
		'name' => 					esc_html__('Projects', 'bambini'), 
		'singular_name' => 			esc_html__('Project', 'bambini'), 
		'menu_name' => 				esc_html__('Projects', 'bambini'), 
		'all_items' => 				esc_html__('All Projects', 'bambini'), 
		'add_new' => 				esc_html__('Add New', 'bambini'), 
		'add_new_item' => 			esc_html__('Add New Project', 'bambini'), 
		'edit_item' => 				esc_html__('Edit Project', 'bambini'), 
		'new_item' => 				esc_html__('New Project', 'bambini'), 
		'view_item' => 				esc_html__('View Project', 'bambini'), 
		'search_items' => 			esc_html__('Search Projects', 'bambini'), 
		'not_found' => 				esc_html__('No projects found', 'bambini'), 
		'not_found_in_trash' => 	esc_html__('No projects found in Trash', 'bambini') 
	);
}

}

// add_filter('cmsmasters_project_labels_filter', 'bambini_project_labels');


if (!function_exists('bambini_pj_categs_labels')) {

function bambini_pj_categs_labels() {
	return array( 
		'name' => 					esc_html__('Project Categories', 'bambini'), 
		'singular_name' => 			esc_html__('Project Category', 'bambini') 
	);
}

}

// add_filter('cmsmasters_pj_categs_labels_filter', 'bambini_pj_categs_labels');


if (!function_exists('bambini_pj_tags_labels')) {

function bambini_pj_tags_labels() {
	return array( 
		'name' => 					esc_html__('Project Tags', 'bambini'), 
		'singular_name' => 			esc_html__('Project Tag', 'bambini') 
	);
}

}

// add_filter('cmsmasters_pj_tags_labels_filter', 'bambini_pj_tags_labels');



/* Profile Post Type Registration Rename */
if (!function_exists('bambini_profile_labels')) {

function bambini_profile_labels() {
	return array( 
		'name' => 					esc_html__('Profiles', 'bambini'), 
		'singular_name' => 			esc_html__('Profiles', 'bambini'), 
		'menu_name' => 				esc_html__('Profiles', 'bambini'), 
		'all_items' => 				esc_html__('All Profiles', 'bambini'), 
		'add_new' => 				esc_html__('Add New', 'bambini'), 
		'add_new_item' => 			esc_html__('Add New Profile', 'bambini'), 
		'edit_item' => 				esc_html__('Edit Profile', 'bambini'), 
		'new_item' => 				esc_html__('New Profile', 'bambini'), 
		'view_item' => 				esc_html__('View Profile', 'bambini'), 
		'search_items' => 			esc_html__('Search Profiles', 'bambini'), 
		'not_found' => 				esc_html__('No Profiles found', 'bambini'), 
		'not_found_in_trash' => 	esc_html__('No Profiles found in Trash', 'bambini') 
	);
}

}

// add_filter('cmsmasters_profile_labels_filter', 'bambini_profile_labels');


if (!function_exists('bambini_pl_categs_labels')) {

function bambini_pl_categs_labels() {
	return array( 
		'name' => 					esc_html__('Profile Categories', 'bambini'), 
		'singular_name' => 			esc_html__('Profile Category', 'bambini') 
	);
}

}

// add_filter('cmsmasters_pl_categs_labels_filter', 'bambini_pl_categs_labels');

