<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * Timetable Colors Rules
 * Created by CMSMasters
 * 
 */


function bambini_timetable_colors($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} Timetable Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}#page ul.tt_items_list li .event_container *,
	{$rule}.tt_booking_message {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}

	{$rule}.tt_upcoming_events_wrapper .tt_upcoming_event_controls > a {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}.second_color ,
	{$rule}.cmsmasters_tt_event .cmsmasters_tt_event_details .cmsmasters_tt_event_category {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container,
	{$rule}.ui-tabs .tt_tabs_navigation.ui-widget-header li a, 
	{$rule}.tt_booking a.tt_btn {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.tt_upcoming_events_wrapper .tt_upcoming_event_controls > a:hover, 
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}#page .ui-tabs .tt_tabs_navigation.ui-widget-header li.ui-tabs-active::before {
		" . cmsmasters_color_css('border-top-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}ul.tt_upcoming_events li a.tt_upcoming_events_event_container {
		" . cmsmasters_color_css('border-' . (is_rtl() ? 'right' : 'left') . '-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}.hover_color,
	{$rule}#page ul.tt_items_list li .event_container a:hover{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}

	{$rule}.ui-tabs .tt_tabs_navigation.ui-widget-header li a:hover,
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container:hover,
	{$rule}.tt_upcoming_events_wrapper .tt_upcoming_event_controls > a:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Heading Color */
	{$rule}.tt_tabs_navigation li a.selected,
	{$rule}table.tt_timetable th{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}

	{$rule}.tribe-mini-calendar .tribe-mini-calendar-dayofweek,
	{$rule}.tt_booking a.tt_btn:hover{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Heading Color */
	
	
	/* Start Headings Color */
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container:before {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Alternate Background Color */
	{$rule}ul.tt_items_list li:nth-child(2n+1),
	{$rule}.tt_upcoming_events_widget .widgettitle{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}
	/* Start Alternate Background Color */
	
	
	/* Start Main Background Color */
	{$rule}.tt_upcoming_events_wrapper .tt_upcoming_event_controls > a:hover,
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container:hover:before,
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container,
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container *,
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container:hover,
	{$rule}.ui-tabs .tt_tabs_navigation.ui-widget-header li a,
	{$rule}.tt_upcoming_events_wrapper .tt_upcoming_event_controls > a, 
	{$rule}.tt_booking,
	{$rule}.tt_booking a.tt_btn, 
	{$rule}.tt_booking a.tt_btn:hover{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.tt_booking .tt_booking_message_wrapper {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Borders Color */
	{$rule}.cmsmasters_tt_event .cmsmasters_tt_event_hours .cmsmasters_tt_event_hours_item, 
	{$rule}.cmsmasters_tt_event .cmsmasters_tt_event_details .cmsmasters_tt_event_details_item, 
	{$rule}ul.tt_upcoming_events li .tt_upcoming_events_event_container, 
	{$rule}.tt_upcoming_events_wrapper .tt_upcoming_event_controls > a,
	{$rule}table.tt_timetable,
	{$rule}table.tt_timetable tr,
	{$rule}table.tt_timetable th ,
	{$rule}table.tt_timetable td,
	{$rule}.tabs_box_navigation .tabs_box_navigation_selected .sub-menu {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */

/***************** Finish {$title} Timetable Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('bambini_theme_colors_secondary_filter', 'bambini_timetable_colors');

