<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * Timetable Fonts Rules
 * Created by CMSMasters
 * 
 */


function bambini_timetable_fonts($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$custom_css .= "
/***************** Start Timetable Font Styles ******************/

	/* Start Content Font */
	table.tt_timetable .event, 
	table.tt_timetable .event a, 
	table.tt_timetable .event .hours, 
	.cmsmasters_tt_event .cmsmasters_tt_event_hours_item_title,
	.cmsmasters_tt_event .cmsmasters_tt_event_hours_item_value, 
	#page ul.tt_upcoming_events .tt_event_hours_description {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_content_font_google_font']) . $cmsmasters_option['bambini' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_content_font_font_style'] . ";
	}

	.tribe-events-loop .cmsmasters_widget_event_info *[class*=cmsmasters-icon-]::before ,
	.tribe-events-loop .cmsmasters_widget_event_info *[class*=cmsmasters_theme_]::before{
		font-size:" . ((int) $cmsmasters_option['bambini' . '_content_font_font_size'] + 1) . "px;
	}
	
	ul.tt_upcoming_events li .tt_upcoming_events_event_container .tt_event_hours_description {
		text-transform: none;
	}
	
	table.tt_timetable .event a,
	.cmsmasters_tt_event .cmsmasters_tt_event_hours_item_title ,
	.cmsmasters_tt_event .cmsmasters_tt_event_hours_item_value {
		font-size:" . ((int) $cmsmasters_option['bambini' . '_content_font_font_size'] + 1) . "px;
		line-height:" . ((int) $cmsmasters_option['bambini' . '_content_font_line_height'] + 1) . "px;
	}
	/* Finish Content Font */

	
	/* Start H1 Font */
	.widget .cmsmasters_event_day_mon {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h1_font_google_font']) . $cmsmasters_option['bambini' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h1_font_text_decoration'] . ";
	}
	/* Finish H1 Font */
	
	/* Start H3 Font */
	.event_layout_4 table.tt_timetable .event .hours {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h3_font_google_font']) . $cmsmasters_option['bambini' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h3_font_text_decoration'] . ";
	}
	/* Finish H3 Font */

	/* Start H4 Font */
	table.tt_timetable .event .top_hour,
	table.tt_timetable .event .top_hour *,
	table.tt_timetable .event .bottom_hour,
	table.tt_timetable .event .bottom_hour *,
	.tribe-events-countdown-widget .widgettitle,
	.tribe-this-week-events-widget .widgettitle,
	.tribe_mini_calendar_widget .widgettitle,
	.tribe-events-venue-widget .widgettitle,
	.tribe-events-adv-list-widget .widgettitle,
	.tt_timetable.small .box_header{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h4_font_google_font']) . $cmsmasters_option['bambini' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h4_font_text_decoration'] . ";
	}
	/* Finish H4 Font */
	
	/* Start H5 Font */
	.tt_tabs_navigation li a,
	table.tt_timetable th,
	.tabs_box_navigation .tabs_box_navigation_selected{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h5_font_google_font']) . $cmsmasters_option['bambini' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h5_font_text_decoration'] . ";
	}
	/* Finish H5 Font */


	/* Start H6 Font */
	ul.tt_upcoming_events li .tt_upcoming_events_event_container,
	table.tt_timetable .event .event_header, 
	table.tt_timetable tr .tt_hours_column,
	.tribe-mini-calendar .tribe-mini-calendar-nav span,
	.tribe-mini-calendar-list-wrapper .cmsmasters_event_year,
	.tt_upcoming_events_widget .widgettitle {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h6_font_text_decoration'] . ";
	}
	/* Finish H6 Font */

	/* Start Small Text Font */
	table.tt_timetable .event .before_hour_text,
	.tabs_box_navigation .tabs_box_navigation_selected .sub-menu a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_small_font_google_font']) . $cmsmasters_option['bambini' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_small_font_text_transform'] . ";
	}
	/* Finish Small Text Font */

	/* Start Button Font */
	.ui-tabs .tt_tabs_navigation.ui-widget-header li a, 
	table.tt_timetable .event .event_hour_booking_wrapper .event_hour_booking, 
	.tt_booking a.tt_btn {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_button_font_google_font']) . $cmsmasters_option['bambini' . '_button_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_button_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_button_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_button_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_button_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_button_font_text_transform'] . ";
	}
	
	.ui-tabs .tt_tabs_navigation.ui-widget-header li a {
		line-height:20px;
	}
	/* Finish Button Font */
	

/***************** Finish Timetable Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('bambini_theme_fonts_filter', 'bambini_timetable_fonts');

