<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * Tribe Events Colors Rules
 * Created by CMSMasters
 * 
 */


function bambini_tribe_events_colors($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} Tribe Events Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active a, 
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active a:hover, 
	{$rule}.tribe-this-week-events-widget .tribe-events-page-title, 
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue a,
	{$rule}.tribe-mini-calendar tbody td,
	{$rule}.tribe-mini-calendar tbody th,
	{$rule}#page .tribe-mini-calendar tbody a ,
	{$rule}#page .tribe-mini-calendar tbody .tribe-mini-calendar-no-event, 
	{$rule}.tribe-events-countdown-widget .tribe-countdown-time span,
	{$rule}.cmsmasters_single_event .tribe-events-schedule *,
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info a:hover, 
	{$rule}.tribe-events-list .tribe-events-day-time-slot > h5,
	{$rule}.tribe-events-list .tribe-events-list-separator-month,
	{$rule}.tribe-events-list .tribe-events-event-meta,
	{$rule}.tribe-mobile-day .tribe-mobile-day-date {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}#tribe-events-content > .tribe-events-button:hover, 
	{$rule}.tribe-events-sub-nav li a:hover, 
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a:hover, 
	{$rule}.cmsmasters_single_event .cmsmasters_single_event_header_right a:hover, 
	{$rule}.tribe-events-venue .cmsmasters_events_venue_header_right a:hover, 
	{$rule}.tribe-events-organizer .cmsmasters_events_organizer_header_right a:hover, 
	{$rule}.tribe-mini-calendar tbody a:hover, 
	{$rule}.tribe-mini-calendar tbody .tribe-events-present, 
	{$rule}.tribe-mini-calendar tbody .tribe-events-present a,
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue-name a:hover, 
	{$rule}.tribe-events-countdown-widget .tribe-countdown-text a:hover, 
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue a:hover ,
	{$rule}.tribe-mini-calendar tbody a,
	{$rule}#page .tribe-mini-calendar tbody td.tribe-mini-calendar-today a,
	{$rule}#tribe-bar-views .tribe-bar-views-list li,
	{$rule}#tribe-bar-views .tribe-bar-views-list li a,
	{$rule}#tribe-events-content-wrapper #tribe-events-content table.tribe-events-calendar .type-tribe_events.tribe-event-featured .entry-title a,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_event_big_day,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_event_big_day,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .time-details,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .time-details,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .duration,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .duration,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .entry-title a:hover,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .entry-title a:hover,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_widget_event_venue_info_loc a,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_widget_event_venue_info_loc a,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .tribe-event-featured .tribe-events-list-widget-content-wrap .entry-title a, 
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .tribe-event-featured .tribe-events-list-widget-content-wrap .entry-title a,
	{$rule}.widget .vcalendar .tribe-event-featured .entry-title a:hover, 
	{$rule}.tribe-mini-calendar-list-wrapper .tribe-event-featured .entry-title a:hover,
	{$rule}.cmsmasters_archive_type.tribe-event-featured .cmsmasters_archive_item_title a:hover{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}

	{$rule}#tribe-bar-views .button:hover,
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single,
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single:hover,
	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title a, 
	{$rule}.tribe-mini-calendar .tribe-mini-calendar-nav, 
	{$rule}.tribe-mini-calendar tbody a:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}#tribe-bar-views .tribe-bar-views-list li:hover,
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active, 
	{$rule}.event_hover,
	{$rule}.cmsmasters_widget_event_info *[class*=cmsmasters-icon-]::before ,
	{$rule}.cmsmasters_widget_event_info *[class*=cmsmasters_theme_]::before,
	{$rule}.entry-title a:hover, 
	{$rule}.tribe-events-list .tribe-events-event-meta .author > div:before, 
	{$rule}.cmsmasters_single_event .tribe-events-cost:before, 
	{$rule}.cmsmasters_single_event .cmsmasters_event_address:before, 
	{$rule}.tribe-events-venue .cmsmasters_events_venue_header_right a:before, 
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue-name:before, 
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .duration:before, 
	{$rule}.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue:before, 
	{$rule}.tribe-events-venue-widget .vcalendar .entry-title a:hover,
	{$rule}.tribe-events-viewmore,
	{$rule}.tribe-events-viewmore a,
	{$rule}.tribe-events-widget-link a, 
	{$rule}.cmsmasters_single_event .cmsmasters_single_event_header_right a,
	{$rule}.cmsmasters_single_event .tribe-events-schedule *[class*=icon]::before,
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info a,
	{$rule}#tribe-bar-views .tribe-bar-views-list li.tribe-bar-active a,
	{$rule}#tribe-bar-views .tribe-bar-views-list li a:hover,
	{$rule}.tribe-events-sub-nav li a:hover,
	{$rule}.tribe-mobile-day .summary a:hover,
	{$rule}.tribe-events-list .tribe-events-event-meta a,
	{$rule}.tribe-events-list .tribe-events-read-more, 
	{$rule}.tribe-events-read-more,
	{$rule}.tribe-events-event-meta > div::before,
	{$rule}.widget .cmsmasters_widget_event_info a,
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li a:hover span:not([class])::before,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_widget_event_venue_info_loc a:hover,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_widget_event_venue_info_loc a:hover,
	{$rule}.tribe-events-list-widget .tribe-events-list-widget-content-wrap *::before,
	{$rule}.tribe-events-adv-list-widget .tribe-events-list-widget-content-wrap *::before,
	{$rule}.cmsmasters_feature_event,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-list-event-title a,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .tribe-event-featured .tribe-events-list-widget-content-wrap .entry-title a:hover, 
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .tribe-event-featured .tribe-events-list-widget-content-wrap .entry-title a:hover,
	{$rule}#tribe-events-content-wrapper #tribe-events-content table.tribe-events-calendar .type-tribe_events.tribe-event-featured .entry-title a:hover, 
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-photo-event-wrap .entry-title a,
	{$rule}.widget .vcalendar .tribe-event-featured .entry-title a, 
	{$rule}.tribe-mini-calendar-list-wrapper .tribe-event-featured .entry-title a,
	{$rule}.cmsmasters_archive_type.tribe-event-featured .cmsmasters_archive_item_title a{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}
	
	{$rule}.tribe-events-grid .tribe-grid-body .tribe-event-featured.tribe-events-week-hourly-single:hover,
	{$rule}#tribe-bar-views.tribe-bar-views-open .button,
	{$rule}.tribe-mini-calendar thead,
	{$rule}.tribe-mini-calendar-nav td, 
	{$rule}table.tribe-events-calendar tbody td.tribe-events-present div[id*=tribe-events-daynum-],
	{$rule}.tribe-events-sub-nav li a:hover span:not([class]):before, 
	{$rule}.tribe-events-grid .tribe-week-event.tribe-event-featured .vevent .entry-title a {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	{$rule}.tribe-bar-filters-inner > div label, 
	{$rule}.tribe-events-sub-nav li a, 
	{$rule}.tribe-events-notices, 
	{$rule}#tribe-events-content > .tribe-events-button, 
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-], 
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a,
	{$rule}.tribe-events-grid .tribe-week-event:hover .vevent .entry-title a, 
	{$rule}.cmsmasters_single_event .tribe-events-schedule, 
	{$rule}.cmsmasters_single_event .cmsmasters_single_event_header_right a:hover, 
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item_title, 
	{$rule}.cmsmasters_single_event_meta dt, 
	{$rule}.tribe-events-venue .tribe-events-event-meta, 
	{$rule}.tribe-events-venue .cmsmasters_events_venue_header_right a, 
	{$rule}.tribe-events-organizer .tribe-events-event-meta, 
	{$rule}.tribe-events-organizer .cmsmasters_events_organizer_header_right a, 
	{$rule}.tribe-mini-calendar thead a:hover, 
	{$rule}.tribe-mini-calendar tbody, 
	{$rule}.tribe-mini-calendar tbody a,
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue-name a, 
	{$rule}.tribe-events-countdown-widget .tribe-countdown-time, 
	{$rule}.tribe-events-countdown-widget .tribe-countdown-text, 
	{$rule}.tribe-events-countdown-widget .tribe-countdown-text a, 
	{$rule}.tribe-mobile-day .tribe-events-event-schedule-details, 
	{$rule}.tribe-mobile-day .tribe-event-schedule-details,
	{$rule}.tribe-mini-calendar-event:hover .cmsmasters_event_date_inner span,
	{$rule}.tribe-events-venue-widget .type-tribe_events:hover .cmsmasters_event_date_inner span,
	{$rule}.tribe-mini-calendar-nav .tribe-mini-calendar-nav-link:hover,
	{$rule}#page .tribe-mini-calendar tbody a:hover,
	{$rule}.tribe-events-venue-widget .vcalendar .entry-title a, 
	{$rule}.tribe-this-week-events-widget .tribe-this-week-widget-header-date,
	{$rule}.tribe-events-viewmore:hover,
	{$rule}.tribe-events-viewmore a:hover,
	{$rule}.tribe-events-widget-link a:hover,
	{$rule}table.tribe-events-calendar tbody td div[id*='tribe-events-daynum-'],
	{$rule}.tribe-events-list .tribe-events-event-meta a:hover,
	{$rule}.tribe-events-list .tribe-events-read-more:hover,
	{$rule}.tribe-events-grid .tribe-week-grid-hours div,
	{$rule}.tribe-events-grid .column.first, 
	{$rule}.tribe-events-read-more:hover,
	{$rule}.widget .cmsmasters_widget_event_info a:hover,
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li a span:not([class])::before,
	{$rule}.widget .type-tribe_events:hover .cmsmasters_event_date_inner span,
	{$rule}.tribe-events-adv-list-widget li:hover .cmsmasters_event_big_date, 
	{$rule}.tribe-events-list-widget li:hover .cmsmasters_event_big_date,
	{$rule}#tribe-events .tribe-events-list .tribe-events-loop .tribe-event-featured .tribe-events-list-event-title a:hover, 
	{$rule}#tribe-events-content-wrapper .type-tribe_events.tribe-events-photo-event.tribe-event-featured .tribe-events-photo-event-wrap .entry-title a:hover{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}

	{$rule}table.tribe-events-calendar tbody td.tribe-events-past div[id*=tribe-events-daynum-]{
		color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . ", 0.45);
	}
	
	{$rule}.tribe-events-tooltip, 
	{$rule}.tribe-events-grid .tribe-grid-header, 
	{$rule}.tribe-mini-calendar thead, 
	{$rule}.tribe-mini-calendar tbody .tribe-mini-calendar-today a:before, 
	{$rule}table.tribe-events-calendar tbody td.tribe-events-has-events.mobile-active:before,
	{$rule}table.tribe-events-calendar thead th,
	{$rule}.tribe-events-sub-nav li span:not([class]):before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}

	{$rule}.tribe-events-tooltip {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}table.tribe-events-calendar tbody td.tribe-events-present div[id*=tribe-events-daynum-], 
	{$rule}table.tribe-events-calendar tbody td.tribe-events-present div[id*=tribe-events-daynum-] a,
	{$rule}table.tribe-events-calendar thead th,
	{$rule}.event_bg,
	{$rule}.tribe-mini-calendar-nav .tribe-mini-calendar-nav-link,
	{$rule}.tribe-events-sub-nav li a span:not([class]):before,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .vcalendar .type-tribe_events .cmsmasters_event_big_date_ovh, 
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .vcalendar .type-tribe_events .cmsmasters_event_big_date_ovh,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .entry-title a,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .entry-title a,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .tribe-events-content *,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .tribe-events-content *,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .tribe-events-list-widget-content-wrap *,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .tribe-events-list-widget-content-wrap *,
	{$rule}.cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_widget_event_venue_info_loc *,
	{$rule}.cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_widget_event_venue_info_loc *{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.tribe-events-grid .tribe-scroller, 
	{$rule}.tribe-events-grid .tribe-week-grid-hours,
	{$rule}.tribe-this-week-events-widget .tribe-events-sub-nav li a span:not([class])::before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */  
	{$rule}.tribe-events-tooltip, 
	{$rule}.tribe-events-tooltip *, 
	{$rule}.tribe-events-grid .tribe-grid-header span, 
	{$rule}.tribe-events-grid .tribe-week-event .vevent .entry-title a, 
	{$rule}.tribe-mini-calendar thead, 
	{$rule}.tribe-mini-calendar thead a{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}
	
	{$rule}table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-], 
	{$rule}.tribe-events-notices,
	{$rule}.tribe-mini-calendar, 
	{$rule}.tribe-events-venue-widget .tribe-venue-widget-venue,
	{$rule}.tribe-mini-calendar tbody,
	{$rule}#page .tribe-mini-calendar tbody td,
	{$rule}#page .tribe-mini-calendar tbody th,
	{$rule}#page .tribe-mini-calendar tbody a:hover,
	{$rule}#page .tribe-bar-filters input[type='text'],
	{$rule}.tribe-events-grid .tribe-week-event:hover .vevent .entry-title a {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}
	
	{$rule}table.tribe-events-calendar tbody td,
	{$rule}table.tribe-events-calendar tbody td .tribe_events,
	{$rule}table.tribe-events-calendar tbody td .tribe-events-viewmore,
	{$rule}table.tribe-events-calendar,
	{$rule}.tribe-events-grid .tribe-grid-content-wrap, 
	{$rule}.tribe-events-grid .tribe-scroller, 
	{$rule}.tribe-events-grid .tribe-week-grid-block div, 
	{$rule}.tribe-events-grid .tribe-grid-content-wrap .column, 
	{$rule}.tribe-events-grid .tribe-week-grid-hours div,
	{$rule}.tribe-events-grid .tribe-grid-allday,
	{$rule}.tribe-events-grid .tribe-grid-content-wrap {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}table.tribe-events-calendar tbody td.tribe-events-othermonth div[id*=tribe-events-daynum-], 
	{$rule}.tribe-mini-calendar tbody .tribe-events-othermonth, 
	{$rule}.tribe-mini-calendar tbody .tribe-events-othermonth a,
	{$rule}.tribe-events-countdown-widget .tribe-countdown-colon {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}

	{$rule}table.tribe-events-calendar tbody td.tribe-events-has-events:before,
	{$rule}.tribe-events-single .post_nav:before, 
	{$rule}.tribe-events-single .post_nav:after {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.tribe-events-list .tribe-events-list-separator-month, 
	{$rule}.tribe-events-list .type-tribe_events, 
	{$rule}.tribe-events-photo .tribe-events-page-title, 
	{$rule}.tribe-events-map .tribe-events-page-title, 
	{$rule}.cmsmasters_single_event, 
	{$rule}.widget .vcalendar .type-tribe_events, 
	{$rule}.tribe-mini-calendar-list-wrapper .type-tribe_events, 
	{$rule}.tribe-mobile-day .tribe-events-mobile, 
	{$rule}.tribe-this-week-events-widget .tribe-this-week-widget-day,
	{$rule}.cmsmasters_single_event_meta .cmsmasters_event_meta_info_item {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */

/***************** Finish {$title} Tribe Events Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('bambini_theme_colors_secondary_filter', 'bambini_tribe_events_colors');

