<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * Tribe Events Fonts Rules
 * Created by CMSMasters
 * 
 */


function bambini_tribe_events_fonts($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$custom_css .= "
/***************** Start Tribe Events Font Styles ******************/

	/* Start Content Font */
	.widget .vcalendar .cmsmasters_widget_event_info, 
	.widget .vcalendar .cmsmasters_widget_event_info a, 
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info, 
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info a, 
	.tribe-this-week-events-widget .tribe-this-week-widget-header-date ,
	table.tribe-events-calendar tbody td .tribe-events-month-event-title, 
	table.tribe-events-calendar tbody td .tribe-events-month-event-title a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_content_font_google_font']) . $cmsmasters_option['bambini' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_content_font_font_style'] . ";
	}

	.cmsmasters_single_event_header_right a::before,
	.cmsmasters_single_event .tribe-events-schedule *::before{
		font-size:" . ((int) $cmsmasters_option['bambini' . '_content_font_font_size'] + 1) . "px;
	}

	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info, 
	.tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info a, 
	.tribe-this-week-events-widget .tribe-this-week-widget-header-date, 
	.tribe-this-week-events-widget .tribe-this-week-event .duration, 
	.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue {
		font-size:" . ((int) $cmsmasters_option['bambini' . '_content_font_font_size'] - 1) . "px;
	}
	/* Finish Content Font */

	/* Start Link Font */
	/* Finish Link Font */
	
	
	/* Start H1 Font */
	.tribe-events-countdown-widget .tribe-countdown-time,
	#page .cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_event_big_day, 
	#page .cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_event_big_day{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h1_font_google_font']) . $cmsmasters_option['bambini' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h1_font_text_decoration'] . ";
	}

	#page .cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_event_big_day, 
	#page .cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_event_big_day{
		font-size:" . ($cmsmasters_option['bambini' . '_h1_font_font_size'] + 34) . "px;
		font-weight: 300;
	}

	.cmsmasters_sidebar .tribe-events-list-widget .entry-title a,
	.cmsmasters_sidebar .tribe-events-adv-list-widget .entry-title a{
		font-weight: 300;
	}

	.tribe-events-viewmore a,
	.tribe-events-widget-link a,
	.cmsmasters_single_event .cmsmasters_single_event_header_right a,
	#tribe-bar-views .tribe-bar-views-list li a, 
	.tribe-events-read-more{
		font-weight:" . $cmsmasters_option['bambini' . '_h1_font_font_weight'] . ";
	}
	/* Finish H1 Font */
	
	
	/* Start H2 Font */
	.tribe-events-page-title, 
	.tribe-mobile-day .tribe-mobile-day-date {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h2_font_google_font']) . $cmsmasters_option['bambini' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h2_font_text_decoration'] . ";
	}
	
	.tribe-events-page-title {
		font-size:" . ((int) $cmsmasters_option['bambini' . '_h2_font_font_size'] + 6) . "px;
		line-height:" . ((int) $cmsmasters_option['bambini' . '_h2_font_line_height'] + 6) . "px;
	}
	/* Finish H2 Font */
	
	
	/* Start H3 Font */
	.cmsmasters_sidebar .tribe-events-list-widget .entry-title a,
	.cmsmasters_sidebar .tribe-events-adv-list-widget .entry-title a {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h3_font_google_font']) . $cmsmasters_option['bambini' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h3_font_text_decoration'] . ";
	}
	
	.tribe-events-list .tribe-events-event-cost, 
	.tribe-events-grid .tribe-grid-header span,
	#page .cmsmasters_sidebar .tribe-events-list-widget .time-details,
	#page .cmsmasters_sidebar .tribe-events-adv-list-widget .time-details,
	#page .cmsmasters_sidebar .tribe-events-list-widget .duration *,
	#page .cmsmasters_sidebar .tribe-events-adv-list-widget .duration *,
	.cmsmasters_sidebar .tribe-events-list-widget .tribe-events-list-widget-content-wrap .cmsmasters_widget_event_info_time{
		text-transform:none;
	}
	/* Finish H3 Font */
	
	
	/* Start H4 Font */
	.tribe-mini-calendar [id*=tribe-mini-calendar-month], 
	.tribe-events-venue-widget .tribe-venue-widget-venue-name a, 
	.tribe-events-countdown-widget .tribe-countdown-text,
	.tribe-countdown-complete {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h4_font_google_font']) . $cmsmasters_option['bambini' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h4_font_text_decoration'] . ";
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */ 
	#tribe-events-content > .tribe-events-button,
	.cmsmasters_single_event_meta dt, 
	.cmsmasters_single_event_meta dd a, 
	.tribe-events-venue .cmsmasters_events_venue_header_right a, 
	.tribe-events-organizer .cmsmasters_events_organizer_header_right a, 
	.tribe-events-venue-widget .vcalendar .entry-title, 
	.tribe-events-venue-widget .vcalendar .entry-title a, 
	.tribe-events-countdown-widget .tribe-countdown-text a, 
	table.tribe-events-calendar thead th, 
	.tribe-events-list .tribe-events-list-separator-month,
	.tribe-events-grid .tribe-grid-header span,
	.tribe-mobile-day .tribe-mobile-day-date,
	.cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_event_big_month,
	.cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_event_big_month,
	.tribe-events-adv-list-widget .cmsmasters_event_big_date .cmsmasters_event_big_day, 
	.tribe-events-list-widget .cmsmasters_event_big_date .cmsmasters_event_big_day,
	.tribe-events-adv-list-widget .entry-title,
	.tribe-events-adv-list-widget .entry-title a,
	.tribe-events-list-widget .entry-title,
	.tribe-events-list-widget .entry-title a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h5_font_google_font']) . $cmsmasters_option['bambini' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h5_font_text_decoration'] . ";
	}
	
	@media only screen and (max-width: 768px) {
		table.tribe-events-calendar thead th{
			font-size:" . ($cmsmasters_option['bambini' . '_h5_font_font_size'] -4) . "px;
		}
	}
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	.tribe-events-sub-nav li a 
	.tribe-mini-calendar thead th, 
	.tribe_mini_calendar_widget .tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info, 
	.tribe_mini_calendar_widget .tribe-mini-calendar-list-wrapper .cmsmasters_widget_event_info a, 
	.tribe-mobile-day .tribe-events-event-schedule-details, 
	.tribe-mobile-day .tribe-event-schedule-details,
	.tribe-mini-calendar tbody a,
	.tribe-mini-calendar *, 
	.cmsmasters_event_date .cmsmasters_event_year,
	.tribe-this-week-events-widget .tribe-this-week-widget-header-date, 
	.tribe-events-countdown-widget .tribe-countdown-time span,
	.tribe-bar-filters-inner > div label,
	table.tribe-events-calendar tbody td div[id*='tribe-events-daynum-'],
	table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-], 
	table.tribe-events-calendar tbody td div[id*=tribe-events-daynum-] a,
	.tribe-events-sub-nav li a,
	.tribe-events-grid .tribe-week-grid-hours div,
	.tribe-events-grid .column.first,
	.cmsmasters_sidebar .tribe-events-list-widget .time-details,
	.cmsmasters_sidebar .tribe-events-adv-list-widget .time-details,
	.cmsmasters_sidebar .tribe-events-list-widget .duration *,
	.cmsmasters_sidebar .tribe-events-adv-list-widget .duration *,
	.cmsmasters_sidebar .tribe-events-list-widget .tribe-events-list-widget-content-wrap .cmsmasters_widget_event_info_time,
	.cmsmasters_sidebar .tribe-events-list-widget .cmsmasters_event_big_week,
	.cmsmasters_sidebar .tribe-events-adv-list-widget .cmsmasters_event_big_week,
	.tribe-events-adv-list-widget .cmsmasters_event_big_date .cmsmasters_event_big_date_ovh, 
	.tribe-events-list-widget .cmsmasters_event_big_date .cmsmasters_event_big_date_ovh,
	.cmsmasters_feature_event{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h6_font_text_decoration'] . ";
	}

	.tribe-mini-calendar tbody a,
	.tribe-mini-calendar * {
		font-size:" . ($cmsmasters_option['bambini' . '_h6_font_font_size'] + 1) . "px;
	}

	.cmsmasters_feature_event{
		font-size:" . ($cmsmasters_option['bambini' . '_h6_font_font_size'] - 1) . "px;
	}


	/* Finish H6 Font */
	
	
	/* Start Button Font */
	#tribe-bar-views .tribe-bar-views-list li, 
	#tribe-bar-views .tribe-bar-views-list li{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_button_font_google_font']) . $cmsmasters_option['bambini' . '_button_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_button_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_button_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_button_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_button_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_button_font_text_transform'] . ";
	}
	
	#tribe-bar-views .tribe-bar-views-list li, 
	#tribe-bar-views .tribe-bar-views-list li a {
		text-transform:none;
	}
	/* Finish Button Font */
	
	
	/* Start Small Text Font */
	.tribe-this-week-events-widget .tribe-events-page-title,
	ul.tt_upcoming_events .tt_upcoming_events_hours,
	.cmsmasters_single_event .cmsmasters_event_address,
	.cmsmasters_single_event .tribe-events-cost,
	.cmsmasters_single_event .tribe-events-schedule, 
	.cmsmasters_single_event .tribe-events-schedule a,
	table.tribe-events-calendar tbody td .tribe-events-viewmore a,
	.tribe-events-tooltip .duration,
	.tribe-events-tooltip p, 
	.tribe-events-list .tribe-events-event-meta, 
	.tribe-events-list .tribe-events-event-meta a, 
	.tribe-events-photo .tribe-events-event-meta, 
	.tribe-events-photo .tribe-events-event-meta a,
	.tribe-events-venue .tribe-events-event-meta, 
	.tribe-events-venue .tribe-events-event-meta a, 
	.tribe-events-organizer .tribe-events-event-meta, 
	.tribe-events-organizer .tribe-events-event-meta a,
	.tribe-this-week-events-widget .tribe-this-week-event .tribe-venue a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_small_font_google_font']) . $cmsmasters_option['bambini' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_small_font_text_transform'] . ";
	}
	/* Finish Small Text Font */

/***************** Finish Tribe Events Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('bambini_theme_fonts_filter', 'bambini_tribe_events_fonts');

