<?php
/**
 * @cmsmasters_package 	Galleria Metropolia
 * @cmsmasters_version 	1.0.0
 */


$venue_details = tribe_get_venue_details();
$events_label_plural = tribe_get_event_label_plural();
$posts = tribe_get_list_widget_events();
$has_venue_address = ( ! empty( $venue_details['address'] ) ) ? ' location' : '';
$time_format = get_option("time_format");
// Check if any event posts are found.
if ( $posts ) : ?>

	<ol class="hfeed vcalendar">
		<?php
		// Setup the post data for each event.
		foreach ( $posts as $post ) :
			setup_postdata( $post );
			?>
			<li class="tribe-events-list-widget-events <?php tribe_events_event_classes() ?>">
				<div class="cmsmasters_event_big_date clearfix">
					<div class="cmsmasters_event_big_day"><?php echo tribe_get_start_date(null, false, 'd'); ?></div>
					<div class="cmsmasters_event_big_date_ovh">
						<div class="cmsmasters_event_big_month"><?php echo tribe_get_start_date(null, false, 'F'); ?></div>
						<div class="cmsmasters_event_big_week"><?php echo tribe_get_start_date(null, false, 'l'); ?></div>
					</div>
				</div>
				<?php if (get_post_thumbnail_id(get_the_ID()) != '') { ?>
				<div class="tribe-events-event-image">
					<?php bambini_thumb(get_the_ID(), 'cmsmasters-blog-masonry-thumb', false, true, false, false, false, true, false); ?>
				</div>
				<?php } ?>
				<div class="tribe-events-list-widget-content-wrap">
					<?php do_action( 'tribe_events_list_widget_before_the_event_title' ); ?>
					<!-- Event Title -->
					<h3 class="entry-title summary">
						<a href="<?php echo esc_url( tribe_get_event_link() ); ?>" rel="bookmark"><?php the_title(); ?></a>
					</h3>
					
					<div class="cmsmasters_widget_event_adress cmsmasters-icon-custom-mark">
						<?php echo tribe_get_address(); ?>
					</div>

					<div class="cmsmasters_widget_event_info_time cmsmasters-icon-custom-clock">
						<?php 
							if(tribe_event_is_all_day()){
								echo "<span class='all_day'>All Day</span>";
							} else {
								echo tribe_get_start_date( null, true, $time_format ) . " - " . tribe_get_end_date( null, true, $time_format ); 
							}
							?>
					</div>

					<?php if ( tribe_get_cost( get_the_ID() ) != '' ): ?>
					<div class="cmsmasters_widget_event_info_cost">
						<span class="tribe-events-event-cost cmsmasters-icon-custom-cost">
							<?php echo tribe_get_cost( get_the_ID(), true ); ?>
						</span>
					</div>
					<?php endif; ?>
					
					<?php do_action( 'tribe_events_list_widget_after_the_event_title' ); ?>
					<!-- Event Time -->
				</div>

				<div class="cmsmasters_events_more">
					<a href="<?php echo esc_url( tribe_get_event_link() ); ?>" class="button" rel="bookmark"><?php esc_html_e( 'Read More', 'bambini' ) ?></a>
				</div>
			</li>
		<?php
		endforeach;
		?>
	</ol><!-- .hfeed -->

	<p class="tribe-events-widget-link">
		<a href="<?php echo esc_url( tribe_get_events_link() ); ?>" rel="bookmark"><?php printf( esc_html__( 'View All %s', 'bambini' ), $events_label_plural ); ?></a>
	</p>

<?php
// No events were found.
else : ?>
	<p><?php printf( esc_html__( 'There are no upcoming %s at this time.', 'bambini' ), strtolower( $events_label_plural ) ); ?></p>
<?php
endif;
