<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * WooCommerce Colors Rules
 * Created by CMSMasters
 * 
 */


function bambini_woocommerce_colors($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} WooCommerce Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}.select2-container .select2-choice, 
	{$rule}.select2-container.select2-drop-above .select2-choice, 
	{$rule}.select2-container.select2-container-active .select2-choice, 
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice, 
	{$rule}.select2-drop.select2-drop-active, 
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-container .select2-selection--single .select2-selection__rendered,
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity,
	{$rule}#page .remove_from_cart_button ,
	{$rule}#page .remove_from_cart_button::before,
	{$rule}.woocommerce-info,
	{$rule}.shop_table .cart_item .product-name .product-quantity,
	{$rule}.shop_table.woocommerce-checkout-review-order-table .cart-subtotal th, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .cart-subtotal td,
	{$rule}.woocommerce-message, 
	{$rule}.woocommerce-error li,
	{$rule}.cmsmasters_single_product .product_meta > span a,
	{$rule}.cmsmasters_single_product .product_meta > span .sku,
	{$rule}.cmsmasters_product .cmsmasters_product_cat, 
	{$rule}.cmsmasters_product .cmsmasters_product_cat a, 
	{$rule}.widget_product_categories ul li, 
	{$rule}.widget_product_categories ul li a,
	{$rule}.widget_shopping_cart .total,
	{$rule}.woocommerce-MyAccount-navigation li a{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}.required, 
	{$rule}.shop_table a:not(.button):hover, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .product-name strong, 
	{$rule}.shop_table.order_details tfoot tr:last-child th, 
	{$rule}.shop_table.order_details tfoot tr:last-child td, 
	{$rule}.shop_table.order_details .product-name strong, 
	{$rule}.shop_table.order_details tfoot tr:first-child th, 
	{$rule}.shop_table.order_details tfoot tr:first-child td,
	{$rule}.shop_table .cart_item .product-name,
	{$rule}.shop_table.cart .product-name a, 
	{$rule}.woocommerce-store-notice .woocommerce-store-notice__dismiss-link{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	 
	{$rule}input.shipping_method + label:after, 
	{$rule}.widget_price_filter .ui-slider-handle,
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .buttons .button:hover, 
	{$rule}.widget_price_filter .ui-slider-range,
	{$rule}.widget_price_filter .price_slider::before,
	{$rule}.woocommerce-store-notice {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.select2-container.select2-container-active .select2-choice, 
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice, 
	{$rule}.select2-drop.select2-drop-active, 
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-container.select2-container--open .select2-selection--single,
	{$rule}.select2-container.select2-container--focus .select2-selection--single {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}.link_hover_color {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}

	{$rule}#page .remove:hover ,
	{$rule}#page .remove_from_cart_button:hover::before,
	{$rule}.form-row label abbr,
	{$rule}.shop_table.cart .product-name a:hover,
	{$rule}.cmsmasters_single_product .product_meta > span a:hover, 
	{$rule}.comment-form-rating .stars > span a:hover, 
	{$rule}.comment-form-rating .stars > span a.active, 
	{$rule}.cmsmasters_star_rating .cmsmasters_star_color_wrap,
	{$rule}.cmsmasters_product .cmsmasters_product_cat a:hover,
	{$rule}.cmsmasters_product .cmsmasters_product_title a:hover, 
	{$rule}.widget > .product_list_widget a:hover, 
	{$rule}.widget_product_categories ul li a:hover,
	{$rule}.widget_shopping_cart .cart_list a:hover,
	{$rule}.cmsmasters_product .button:hover,
	{$rule}.cmsmasters_product:hover .onsale, 
	{$rule}.widget_layered_nav ul li a:hover, 
	{$rule}.widget_layered_nav ul li.chosen a, 
	{$rule}.widget_layered_nav_filters ul li a:hover, 
	{$rule}.widget_layered_nav_filters ul li.chosen a, 
	{$rule}.widget_product_categories ul li a:hover, 
	{$rule}.widget_product_categories ul li.current-cat a,
	{$rule}.woocommerce-MyAccount-navigation li.is-active a ,
	{$rule}.woocommerce-MyAccount-navigation li a:hover,
	{$rule}a:hover .woocommerce-loop-category__title {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}

	{$rule}.input-checkbox + label:after, 
	{$rule}.input-radio + label:after{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_hover']) . "
	}

	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	{$rule}#page .remove, 
	{$rule}.cmsmasters_woo_wrap_result .woocommerce-result-count, 
	{$rule}.cmsmasters_product .price, 
	{$rule}.cmsmasters_single_product .price, 
	{$rule}.cmsmasters_single_product .product_meta, 
	{$rule}.shop_attributes th, 
	{$rule}.shop_table, 
	{$rule}.shop_table a:not(.button), 
	{$rule}.cart_totals table, 
	{$rule}ul.order_details strong, 
	{$rule}.widget_layered_nav ul li, 
	{$rule}.widget_layered_nav ul li a, 
	{$rule}.widget_layered_nav_filters ul li, 
	{$rule}.widget_layered_nav_filters ul li a,
	{$rule}.widget > .product_list_widget a, 
	{$rule}.widget > .product_list_widget .amount, 
	{$rule}.widget_shopping_cart .cart_list a, 
	{$rule}.widget_price_filter .price_slider_amount .price_label,
	{$rule}.form-row label , 
	{$rule}.shop_table thead th , 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .order-total th, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .order-total td,
	{$rule}.shop_table.woocommerce-checkout-review-order-table .woocommerce-Price-amount,
	{$rule}.onsale, 
	{$rule}.out-of-stock, 
	{$rule}.stock,
	{$rule}.cmsmasters_product .button,
	{$rule}ul.order_details,
	{$rule}.cmsmasters_table tr th,
	{$rule}.woocommerce-loop-category__title mark{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}
	
	{$rule}.out-of-stock, 
	{$rule}.stock {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}.woocommerce-store-notice, 
	{$rule}.woocommerce-store-notice p a, 
	{$rule}.woocommerce-store-notice p a:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.widget_price_filter .price_slider,
	{$rule}.select2-container .select2-selection--single,
	{$rule}.onsale, 
	{$rule}.out-of-stock, 
	{$rule}.stock,
	{$rule}.woocommerce-loop-category__title mark, 
	{$rule}.woocommerce-store-notice .woocommerce-store-notice__dismiss-link{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}

	{$rule}.widget_shopping_cart .widget_shopping_cart_content .cart_list li .blockUI.blockOverlay {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg'] . " !important") . "
	}
	
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */
	selector{
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}
	 
	{$rule}.select2-container .select2-choice, 
	{$rule}.select2-container.select2-drop-above .select2-choice, 
	{$rule}.select2-container.select2-container-active .select2-choice, 
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice, 
	{$rule}.select2-drop.select2-drop-active, 
	{$rule}.select2-drop.select2-drop-above.select2-drop-active, 
	{$rule}.input-checkbox + label:before, 
	{$rule}.input-radio + label:before, 
	{$rule}input.shipping_method + label:before,
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content,
	{$rule}.cmsmasters_dynamic_cart .cmsmasters_added_product_info{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate']) . "
	}

	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list li .blockUI.blockOverlay{
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_alternate'] . " !important") . "
	}
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}.cmsmasters_star_rating .cmsmasters_star_trans_wrap, 
	{$rule}.comment-form-rating .stars > span {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.cmsmasters_woo_tabs:before, 
	{$rule}div.products:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.select2-container .select2-choice, 
	{$rule}.select2-container.select2-drop-above .select2-choice, 
	{$rule}.input-checkbox + label:before, 
	{$rule}.input-radio + label:before, 
	{$rule}input.shipping_method + label:before, 
	{$rule}.shop_table th, 
	{$rule}.shop_table td, 
	{$rule}.cart_totals table th, 
	{$rule}.cart_totals table td, 
	{$rule}.widget_price_filter .price_slider, 
	{$rule}.shop_table .cart_item,
	{$rule}.select2-dropdown,
	{$rule}.select2-container .select2-selection--single,
	{$rule}.woocommerce-info,
	{$rule}.shop_table ,
	{$rule}.shop_table thead th,
	{$rule}.woocommerce-checkout-payment,
	{$rule}.woocommerce-checkout-payment .payment_methods .payment_box,
	{$rule}.woocommerce-message, 
	{$rule}.woocommerce-info, 
	{$rule}.woocommerce-error,
	{$rule}ul.order_details,
	{$rule}ul.order_details li strong,
	{$rule}.onsale, 
	{$rule}.out-of-stock, 
	{$rule}.stock{
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}

	{$rule}.shop_table thead th{
		-webkit-box-shadow: 0px 1px 0px 0px " . $cmsmasters_option['bambini' . '_' . $scheme . '_border'] . ";
		box-shadow: 0px 1px 0px 0px " . $cmsmasters_option['bambini' . '_' . $scheme . '_border'] . ";
	}
	/* Finish Borders Color */

/***************** Finish {$title} WooCommerce Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('bambini_theme_colors_secondary_filter', 'bambini_woocommerce_colors');

