<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * WooCommerce Fonts Rules
 * Created by CMSMasters
 * 
 */


function bambini_woocommerce_fonts($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$custom_css .= "
/***************** Start WooCommerce Font Styles ******************/

	/* Start Content Font */
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total strong,
	.shop_table .cart_item .product-name .product-quantity,
	.cmsmasters_single_product .product_meta > span .sku,
	.widget_shopping_cart .cart_list .quantity .amount, 
	.widget_shopping_cart .total, 
	.widget_shopping_cart .total strong {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_content_font_google_font']) . $cmsmasters_option['bambini' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_content_font_font_style'] . ";
	}

	.cart_totals table .woocommerce-remove-coupon, 
	#page .widget_price_filter .price_slider_amount .price_label *,
	#page .widget_price_filter .price_slider_amount .price_label *{
		font-size:" . $cmsmasters_option['bambini' . '_content_font_font_size'] . "px;
	}
	
	.shop_table.woocommerce-checkout-review-order-table .product-name dl, 
	.shop_table.order_details .product-name dl {
		text-transform:none;
	}
	/* Finish Content Font */
	
	
	/* Start Link Font */
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list a, 
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity .amount,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity .woocommerce-Price-amount, 
	.widget_product_categories ul li, 
	.widget_product_categories ul li a{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_content_font_google_font']) . $cmsmasters_option['bambini' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_link_font_font_style'] . ";
	}
	
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity{
		font-size:" . ($cmsmasters_option['bambini' . '_link_font_font_size'] - 2) . "px;
	}

	/* Finish Link Font */
	
	
	/* Start H1 Font */
	/* Finish H1 Font */
	
	
	/* Start H2 Font */
	.woocommerce-additional-fields > h3,	
	.woocommerce-billing-fields h3 {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h2_font_google_font']) . $cmsmasters_option['bambini' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h2_font_text_decoration'] . ";
	}
	/* Finish H2 Font */
	
	
	/* Start H3 Font */
	.cart_totals table th {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h3_font_google_font']) . $cmsmasters_option['bambini' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h3_font_text_decoration'] . ";
	}
	/* Finish H3 Font */
	
	
	/* Start H4 Font */
	.cmsmasters_product .price,
	.cmsmasters_single_product .product_title,
	.cmsmasters_single_product .price ins .amount,
	.woocommerce-loop-category__title {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h4_font_google_font']) . $cmsmasters_option['bambini' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h4_font_text_decoration'] . ";
	}

	.woocommerce-loop-category__title mark{
		font-size:" . ((int) $cmsmasters_option['bambini' . '_h4_font_font_size'] - 4) . "px;
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */
	.cmsmasters_woo_wrap_result .woocommerce-result-count, 
	.shop_attributes th, 
	.shipping-calculator-button, 
	.shop_table.woocommerce-checkout-review-order-table .shipping th, 
	.shop_table.order_details tfoot tr td, 
	ul.order_details strong, 
	.widget_layered_nav ul li, 
	.widget_layered_nav ul li a, 
	.widget_layered_nav_filters ul li, 
	.widget_layered_nav_filters ul li a, 
	.widget > .product_list_widget .amount,
	.shop_table th ,
	.shop_table td, 
	.shop_table .product-name a,
	.cart_totals table th *,
	.cart_totals table td *,
	.cart_totals table th,
	.cart_totals table td,
	.cmsmasters_single_product .product_meta > span,
	.cmsmasters_tabs .cmsmasters_tabs_list_item a,
	#page .cmsmasters_product .price, 
	.widget_shopping_cart .cart_list a:not(.remove),
	.cmsmasters_single_product .price del .amount,
	.cmsmasters_single_product .price > .amount, 
	ul.order_details {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h5_font_google_font']) . $cmsmasters_option['bambini' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h5_font_text_decoration'] . ";
	}
	
	.shipping-calculator-button, 
	ul.order_details strong {
		font-size:" . ((int) $cmsmasters_option['bambini' . '_h5_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['bambini' . '_h5_font_line_height'] - 2) . "px;
	}

	.widget > .product_list_widget del .amount {
		font-size:" . ((int) $cmsmasters_option['bambini' . '_h5_font_font_size'] - 5) . "px;
		line-height:" . ((int) $cmsmasters_option['bambini' . '_h5_font_line_height'] - 5) . "px;
	}
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	.onsale, 
	.out-of-stock, 
	.stock, 
	.cmsmasters_single_product .product_meta, 
	.cmsmasters_single_product .product_meta a, 
	.widget > .product_list_widget a,
	.cmsmasters_table tr th,
	.woocommerce-checkout-payment .place-order .terms label a,
	.woocommerce-checkout-payment .place-order .terms label, 
	.widget_price_filter .price_slider_amount .price_label {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_h6_font_google_font']) . $cmsmasters_option['bambini' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['bambini' . '_h6_font_text_decoration'] . ";
	}
	/* Finish H6 Font */
	
	
	/* Start Button Font */
	/* Finish Button Font */
	
	
	/* Start Text Fields Font */
	.select2-dropdown,
	body .select2-container .select2-selection--single .select2-selection__rendered,
	.select2-container--default .select2-selection--single .select2-selection__rendered,
	.select2-container .select2-selection--single .select2-selection__rendered {
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_input_font_google_font']) . $cmsmasters_option['bambini' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_input_font_font_style'] . ";
	}
	/* Finish Text Fields Font */
	
	
	/* Start Small Text Font */
	.woocommerce-checkout-payment .payment_methods label,
	.cmsmasters_single_product .product_meta > span a, 
	.cmsmasters_product .cmsmasters_product_cat, 
	.cmsmasters_product .cmsmasters_product_cat a,
	.widget_shopping_cart .cart_list .quantity{
		font-family:" . bambini_get_google_font($cmsmasters_option['bambini' . '_small_font_google_font']) . $cmsmasters_option['bambini' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['bambini' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['bambini' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['bambini' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['bambini' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['bambini' . '_small_font_text_transform'] . ";
	}
	/* Finish Small Text Font */

/***************** Finish WooCommerce Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('bambini_theme_fonts_filter', 'bambini_woocommerce_fonts');

