<?php
/**
 * @package 	WordPress
 * @subpackage 	Bambini
 * @version 	1.0.0
 * 
 * Yith WooCommerce Ajax Search Colors Rules
 * Created by CMSMasters
 * 
 */


function bambini_yith_woocommerce_ajax_search_colors($custom_css) {
	$cmsmasters_option = bambini_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} Yith WooCommerce Ajax Search Colors Scheme Rules ******************/
	
	/* Start Main Content Font Color */
	{$rule}.autocomplete-suggestions {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}.autocomplete-suggestions .autocomplete-suggestion:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.autocomplete-suggestions {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_link']) . "
	}
	/* Finish Primary Color */
	
	
	/* Start Main Background Color */
	{$rule}.autocomplete-suggestions .autocomplete-suggestion:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.autocomplete-suggestions {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['bambini' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Borders Color */
	{$rule}.autocomplete-suggestions .autocomplete-suggestion {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['bambini' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */
	
/***************** Finish {$title} Yith WooCommerce Ajax Search Colors Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('bambini_theme_colors_secondary_filter', 'bambini_yith_woocommerce_ajax_search_colors');

